/*
RN: Creates en empty Autoprooreader database 
*/


USE [master]
GO
/****** Object:  Database [AutoProofreader]    Script Date: 06/13/2015 16:27:43 ******/
CREATE DATABASE [AutoProofreader] ON  PRIMARY 
( NAME = N'UOC', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\UOC.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'UOC_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\UOC_log.ldf' , SIZE = 18240KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
ALTER DATABASE [AutoProofreader] SET COMPATIBILITY_LEVEL = 100
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [AutoProofreader].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [AutoProofreader] SET ANSI_NULL_DEFAULT OFF
GO
ALTER DATABASE [AutoProofreader] SET ANSI_NULLS OFF
GO
ALTER DATABASE [AutoProofreader] SET ANSI_PADDING OFF
GO
ALTER DATABASE [AutoProofreader] SET ANSI_WARNINGS OFF
GO
ALTER DATABASE [AutoProofreader] SET ARITHABORT OFF
GO
ALTER DATABASE [AutoProofreader] SET AUTO_CLOSE OFF
GO
ALTER DATABASE [AutoProofreader] SET AUTO_CREATE_STATISTICS ON
GO
ALTER DATABASE [AutoProofreader] SET AUTO_SHRINK OFF
GO
ALTER DATABASE [AutoProofreader] SET AUTO_UPDATE_STATISTICS ON
GO
ALTER DATABASE [AutoProofreader] SET CURSOR_CLOSE_ON_COMMIT OFF
GO
ALTER DATABASE [AutoProofreader] SET CURSOR_DEFAULT  GLOBAL
GO
ALTER DATABASE [AutoProofreader] SET CONCAT_NULL_YIELDS_NULL OFF
GO
ALTER DATABASE [AutoProofreader] SET NUMERIC_ROUNDABORT OFF
GO
ALTER DATABASE [AutoProofreader] SET QUOTED_IDENTIFIER OFF
GO
ALTER DATABASE [AutoProofreader] SET RECURSIVE_TRIGGERS OFF
GO
ALTER DATABASE [AutoProofreader] SET  DISABLE_BROKER
GO
ALTER DATABASE [AutoProofreader] SET AUTO_UPDATE_STATISTICS_ASYNC OFF
GO
ALTER DATABASE [AutoProofreader] SET DATE_CORRELATION_OPTIMIZATION OFF
GO
ALTER DATABASE [AutoProofreader] SET TRUSTWORTHY OFF
GO
ALTER DATABASE [AutoProofreader] SET ALLOW_SNAPSHOT_ISOLATION OFF
GO
ALTER DATABASE [AutoProofreader] SET PARAMETERIZATION SIMPLE
GO
ALTER DATABASE [AutoProofreader] SET READ_COMMITTED_SNAPSHOT OFF
GO
ALTER DATABASE [AutoProofreader] SET HONOR_BROKER_PRIORITY OFF
GO
ALTER DATABASE [AutoProofreader] SET  READ_WRITE
GO
ALTER DATABASE [AutoProofreader] SET RECOVERY FULL
GO
ALTER DATABASE [AutoProofreader] SET  MULTI_USER
GO
ALTER DATABASE [AutoProofreader] SET PAGE_VERIFY CHECKSUM
GO
ALTER DATABASE [AutoProofreader] SET DB_CHAINING OFF
GO
EXEC sys.sp_db_vardecimal_storage_format N'AutoProofreader', N'ON'
GO
USE [AutoProofreader]
GO
/****** Object:  User [UAP_User]    Script Date: 06/13/2015 16:27:43 ******/
CREATE USER [UAP_User] FOR LOGIN [AutoProofreader_User] WITH DEFAULT_SCHEMA=[dbo]
GO
/****** Object:  Table [dbo].[Classrooms]    Script Date: 06/13/2015 16:27:44 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Classrooms](
	[ClassroomId] [bigint] IDENTITY(1,1) NOT NULL,
	[ClassroomName] [nvarchar](100) NOT NULL,
	[StartDate] [datetime] NULL,
	[EndDate] [date] NULL,
	[CreatedDate] [date] NOT NULL,
	[CreatedBy] [bigint] NOT NULL,
	[UpdatedDate] [datetime] NULL,
	[UpdatedBy] [bigint] NULL,
	[IsDeleted] [bit] NOT NULL,
 CONSTRAINT [PK_Classrooms] PRIMARY KEY NONCLUSTERED 
(
	[ClassroomId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE CLUSTERED INDEX [CIX_Classrooms] ON [dbo].[Classrooms] 
(
	[ClassroomName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Categories]    Script Date: 06/13/2015 16:27:44 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Categories](
	[CategoryId] [bigint] IDENTITY(1,1) NOT NULL,
	[CategoryName] [nvarchar](255) NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[CreatedBy] [bigint] NOT NULL,
	[UpdatedDate] [datetime] NULL,
	[UpdatedBy] [bigint] NULL,
	[IsDeleted] [bit] NOT NULL,
 CONSTRAINT [PK_Categories] PRIMARY KEY CLUSTERED 
(
	[CategoryId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Users]    Script Date: 06/13/2015 16:27:44 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Users](
	[UserId] [bigint] IDENTITY(1,1) NOT NULL,
	[UserName] [nvarchar](100) NOT NULL,
	[Password] [nvarchar](100) NOT NULL,
	[UserType] [nchar](1) NOT NULL,
	[FirstName] [nvarchar](100) NOT NULL,
	[LastName] [nvarchar](100) NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[CreatedBy] [bigint] NULL,
	[UpdatedDate] [datetime] NULL,
	[UpdatedBy] [bigint] NULL,
	[IsDeleted] [bit] NOT NULL,
 CONSTRAINT [PK_Users] PRIMARY KEY NONCLUSTERED 
(
	[UserId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE CLUSTERED INDEX [CIX_Users] ON [dbo].[Users] 
(
	[UserType] ASC,
	[LastName] ASC,
	[FirstName] ASC,
	[UserName] ASC,
	[IsDeleted] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  StoredProcedure [dbo].[usp_Classroom_Count]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Counts number of classrooms
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classroom_Count]
(
	@SearchText NVARCHAR(50),
	@IsDeleted BIT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT COUNT(*) AS [Count] 
   FROM dbo.Classroom WITH (NOLOCK)
   WHERE
		 (ClassroomName LIKE @SearchText ) AND
		 (@IsDeleted = 1 OR IsDeleted = @IsDeleted)
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_List]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of users
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_List]

AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Users WITH (NOLOCK) WHERE IsDeleted = 0 ORDER BY LastName, FirstName
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new user on User table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_Insert]
  @UserName NVARCHAR(255), 
  @Password NVARCHAR(255), 
  @UserType NCHAR(1), 
  @FirstName NVARCHAR(255), 
  @LastName NVARCHAR(255), 
  @CreatedDate DATETIME, 
  @CreatedBy BIGINT,
  @IsDeleted BIGINT,
  @UserID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Users]
           ([UserName]
           ,[Password]
           ,[UserType]
           ,[FirstName]
           ,[LastName]
           ,[CreatedDate]
           ,[CreatedBy]
           ,[UpdatedDate]
           ,[UpdatedBy]
           ,[IsDeleted])
  VALUES
           (@UserName
           ,@Password
           ,@UserType
           ,@FirstName
           ,@LastName
           ,@CreatedDate
           ,@CreatedBy
           ,NULL
           ,NULL
           ,@IsDeleted)
            
  SELECT @UserID= SCOPE_IDENTITY()  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_GetByUserNameAndPassword]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets a user by user name and password
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_GetByUserNameAndPassword]
(
	@UserName NVARCHAR(100),
	@Password NVARCHAR(100)	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Users WITH (NOLOCK) WHERE UserName = @UserName AND Password= @Password
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_GetByUserName]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets a user by user name
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_GetByUserName]
(
	@UserName NVARCHAR(100)	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Users WITH (NOLOCK) WHERE UserName = @UserName
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_GetById]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets a user
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_GetById]
(
	@UserID BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Users WITH (NOLOCK) WHERE UserId = @UserID
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_Update_Password]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates a user password on User table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_Update_Password]
(
  @UserID BIGINT,
  @Password NVARCHAR(255), 
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Users]
	SET [Password] = @Password
	   ,[UpdatedDate] = @UpdatedDate
	   ,[UpdatedBy] = @UpdatedBy
	 WHERE 
		UserID = @UserID
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing user on User table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_Update]
(
  @UserID BIGINT,
  @UserName NVARCHAR(255), 
  @UserType NCHAR(1), 
  @FirstName NVARCHAR(255), 
  @LastName NVARCHAR(255), 
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT,
  @IsDeleted BIT 
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Users]
	SET [UserName] = @UserName
		  ,[UserType] = @UserType
		  ,[FirstName] = @FirstName
		  ,[LastName] = @LastName
		  ,[UpdatedDate] = @UpdatedDate
		  ,[UpdatedBy] = @UpdatedBy
		  ,[IsDeleted] = @IsDeleted
	 WHERE 
		UserID = @UserID
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing classroom on Classroom table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_Update]
(
  @ClassroomId BIGINT,
  @ClassroomName NVARCHAR(100), 
  @StartDate DATE, 
  @EndDate DATE, 
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT,
  @IsDeleted BIT 
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Classrooms]
	SET [ClassroomName] = @ClassroomName
		  ,[StartDate] = @StartDate
		  ,[EndDate] = @EndDate
		  ,[UpdatedDate] = @UpdatedDate
		  ,[UpdatedBy] = @UpdatedBy
		  ,[IsDeleted] = @IsDeleted
	 WHERE 
		ClassroomId = @ClassroomId
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Categories_List]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of Categories
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Categories_List]

AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Categories WITH (NOLOCK) WHERE IsDeleted = 0 ORDER BY CategoryName
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Categories_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new Category on Category table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Categories_Insert]
  @CategoryName NVARCHAR(255), 
  @CreatedDate DATETIME, 
  @CreatedBy BIGINT,
  @IsDeleted BIGINT,
  @CategoryID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Categories]
           ([CategoryName]
           ,[CreatedDate]
           ,[CreatedBy]
           ,[UpdatedDate]
           ,[UpdatedBy]
           ,[IsDeleted])
  VALUES
           (@CategoryName
           ,@CreatedDate
           ,@CreatedBy
           ,NULL
           ,NULL
           ,@IsDeleted)
            
  SELECT @CategoryID= SCOPE_IDENTITY()  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Categories_GetById]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets a category
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Categories_GetById]
(
	@CategoryId BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Categories WITH (NOLOCK) WHERE CategoryId = @CategoryId
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Categories_Count]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Counts number of categories
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Categories_Count]
(
	@SearchText NVARCHAR(50),
	@IsDeleted BIT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT COUNT(*) AS [Count] 
   FROM dbo.Categories WITH (NOLOCK)
   WHERE
	 (CategoryName LIKE @SearchText ) AND
	 (@IsDeleted = 1 OR IsDeleted = @IsDeleted)  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classroom_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing classroom on Classroom table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classroom_Update]
(
  @ClassroomID BIGINT,
  @ClassroomName NVARCHAR(255), 
  @StartDate DATETIME, 
  @EndDate DATETIME, 
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT,
  @IsDeleted BIT 
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Classrooms]
	SET [ClassroomName] = @ClassroomName
		  ,[StartDate] = @StartDate
		  ,[EndDate] = @EndDate
		  ,[UpdatedDate] = @UpdatedDate
		  ,[UpdatedBy] = @UpdatedBy
		  ,[IsDeleted] = @IsDeleted
	 WHERE 
		ClassroomID = @ClassroomID
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classroom_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new classroom on Classroom table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classroom_Insert]
  @ClassroomName NVARCHAR(255), 
  @StartDate DATETIME, 
  @EndDate DATETIME, 
  @CreatedDate DATETIME, 
  @CreatedBy BIGINT,
  @IsDeleted BIGINT,
  @ClassroomID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Classrooms]
           ([ClassroomName]
           ,[StartDate]
           ,[EndDate]
           ,[CreatedDate]
           ,[CreatedBy]
           ,[UpdatedDate]
           ,[UpdatedBy]
           ,[IsDeleted])
  VALUES
           (@ClassroomName
           ,@StartDate
           ,@EndDate
           ,@CreatedDate
           ,@CreatedBy
           ,NULL
           ,NULL
           ,@IsDeleted)
            
  SELECT @ClassroomID= SCOPE_IDENTITY()  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_List]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of classrooms
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_List]
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Classrooms WITH (NOLOCK) WHERE IsDeleted = 0
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new classroom on Classroom table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_Insert]
  @ClassroomName NVARCHAR(100), 
  @StartDate DATE, 
  @EndDate DATE,  
  @CreatedDate DATETIME, 
  @CreatedBy BIGINT,
  @IsDeleted BIGINT,
  @ClassroomID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Classrooms]
           ([ClassroomName]
           ,[StartDate]
           ,[EndDate]
           ,[CreatedDate]
           ,[CreatedBy]
           ,[UpdatedDate]
           ,[UpdatedBy]
           ,[IsDeleted])
  VALUES
           (@ClassroomName
           ,@StartDate
           ,@EndDate
           ,@CreatedDate
           ,@CreatedBy
           ,NULL
           ,NULL
           ,@IsDeleted)
            
  SELECT @ClassroomID= SCOPE_IDENTITY()  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_GetById]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets a classroom
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_GetById]
(
	@ClassroomID BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Classrooms WITH (NOLOCK) WHERE ClassroomID = @ClassroomID
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Categories_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing Category on Category table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Categories_Update]
(
  @CategoryID BIGINT,
  @CategoryName NVARCHAR(255), 
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT,
  @IsDeleted BIT 
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Categories]
	SET [CategoryName] = @CategoryName
		  ,[UpdatedDate] = @UpdatedDate
		  ,[UpdatedBy] = @UpdatedBy
		  ,[IsDeleted] = @IsDeleted
	 WHERE 
		CategoryID = @CategoryID
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Categories_Select]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of Categories
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Categories_Select]
(
	@SearchText NVARCHAR(50),
	@IsDeleted BIT,
	@MaximumRows INT ,
	@StartRowIndex INT,
	@SortColumn  NVARCHAR(100),
	@SortDirection NVARCHAR(4)
)
AS
BEGIN
    SET NOCOUNT ON

	SELECT  *
	FROM    ( SELECT    
			    ROW_NUMBER() OVER ( 
					ORDER BY 
						CASE @SortDirection
							WHEN 'ASC'  THEN					
							CASE @SortColumn
							  WHEN 'CategoryName' THEN CategoryName
							  ELSE CategoryName							  
							 END
						 END ASC,
						 CASE @SortDirection
							 WHEN 'DES' THEN
							  CASE @SortColumn
								WHEN 'CategoryName' THEN CategoryName
								ELSE CategoryName								
							  END
			              END DESC  
				) AS RowNum, *
			  FROM dbo.Categories WITH (NOLOCK) 
			  WHERE
				 (CategoryName LIKE @SearchText ) AND
				 (@IsDeleted = 1 OR IsDeleted = @IsDeleted) 
			) AS TotalResulst
	WHERE   RowNum >= @StartRowIndex AND RowNum < (@MaximumRows + @StartRowIndex)
	ORDER BY RowNum
END
GO
/****** Object:  Table [dbo].[Tests]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Tests](
	[TestId] [bigint] IDENTITY(1,1) NOT NULL,
	[TestName] [nvarchar](100) NOT NULL,
	[TestDescription] [nvarchar](max) NULL,
	[MaxAttempts] [int] NULL,
	[QuestionsPerPage] [int] NULL,
	[ResolutionMaxMinutes] [int] NULL,
	[EvaluationType] [nchar](1) NOT NULL,
	[EditStatus] [nchar](1) NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[CreatedBy] [bigint] NOT NULL,
	[UpdatedDate] [datetime] NULL,
	[UpdatedBy] [bigint] NULL,
	[IsDeleted] [bit] NOT NULL,
 CONSTRAINT [PK_Tests] PRIMARY KEY CLUSTERED 
(
	[TestId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Questions]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Questions](
	[QuestionId] [bigint] IDENTITY(1,1) NOT NULL,
	[QuestionDescription] [nvarchar](max) NOT NULL,
	[AnswersType] [nchar](1) NULL,
	[CategoryId] [bigint] NOT NULL,
	[EditStatus] [nchar](1) NOT NULL,
	[ImageResource] [nvarchar](255) NULL,
	[SoundResource] [nvarchar](255) NULL,
	[CreatedDate] [datetime] NOT NULL,
	[CreatedBy] [bigint] NOT NULL,
	[UpdatedDate] [datetime] NULL,
	[UpdatedBy] [bigint] NULL,
	[IsDeleted] [bit] NOT NULL,
 CONSTRAINT [PK_Questions] PRIMARY KEY CLUSTERED 
(
	[QuestionId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Log]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Log](
	[LogId] [bigint] IDENTITY(1,1) NOT NULL,
	[LogType] [nchar](1) NOT NULL,
	[Description] [nvarchar](max) NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[CreatedBy] [bigint] NULL,
 CONSTRAINT [PK_Log] PRIMARY KEY NONCLUSTERED 
(
	[LogId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Classrooms_Users]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Classrooms_Users](
	[ClassroomId] [bigint] NOT NULL,
	[UserId] [bigint] NOT NULL,
 CONSTRAINT [PK_Classroom_Users] PRIMARY KEY CLUSTERED 
(
	[ClassroomId] ASC,
	[UserId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Classrooms_Tests]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Classrooms_Tests](
	[ClassroomId] [bigint] NOT NULL,
	[TestId] [bigint] NOT NULL,
	[StartDate] [datetime] NULL,
	[EndDate] [datetime] NULL,
 CONSTRAINT [PK_Classrooms_Tests] PRIMARY KEY CLUSTERED 
(
	[ClassroomId] ASC,
	[TestId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  StoredProcedure [dbo].[usp_Categories_List_ByQuestionEditStatus]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of Categories
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Categories_List_ByQuestionEditStatus]
	@EditStatus NCHAR(1)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * 
   FROM dbo.Categories WITH (NOLOCK) 
   WHERE Categories.IsDeleted = 0 AND
		 Categories.CategoryID IN (
			SELECT CategoryID 
			FROM Questions WITH (NOLOCK) 
			WHERE 
				EditStatus = @EditStatus)
   ORDER BY CategoryName
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_Count]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Counts number of classrooms
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_Count]
(
	@SearchText NVARCHAR(50),
	@IsDeleted BIT,
	@UserID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT COUNT(*) AS [Count] 
   FROM dbo.Classrooms WITH (NOLOCK)
   WHERE
	 (ClassroomName LIKE @SearchText ) AND
	 (@IsDeleted = 1 OR IsDeleted = @IsDeleted) AND
	 (@UserID  IS NULL OR ClassroomID IN (SELECT ClassroomID FROM dbo.Classrooms_Users WHERE UserID = @UserID))
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_ListByNotAssignedToUser]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets classrooms assinged to a user
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_ListByNotAssignedToUser]
(
	@UserID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Classrooms.* 
   FROM dbo.Classrooms 		
   WHERE 
		Classrooms.IsDeleted = 0 AND
		Classrooms.ClassroomID NOT IN (
			SELECT ClassroomID FROM Classrooms_Users WHERE Classrooms_Users.UserID = @UserID)
END
GO
/****** Object:  Table [dbo].[Tests_Questions]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Tests_Questions](
	[TestQuestionId] [bigint] IDENTITY(1,1) NOT NULL,
	[TestId] [bigint] NOT NULL,
	[QuestionId] [bigint] NULL,
	[CategoryId] [bigint] NULL,
 CONSTRAINT [PK_Tests_Questions] PRIMARY KEY CLUSTERED 
(
	[TestQuestionId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Answers]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Answers](
	[QuestionId] [bigint] NOT NULL,
	[AnswerNumber] [int] NOT NULL,
	[AnswerDescription] [nvarchar](max) NOT NULL,
	[IsCorrectHint] [nvarchar](max) NULL,
	[IsIncorrectHint] [nvarchar](max) NULL,
	[correctValue] [nvarchar](1024) NULL,
 CONSTRAINT [PK_Answers_1] PRIMARY KEY CLUSTERED 
(
	[QuestionId] ASC,
	[AnswerNumber] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_GetByCategoryId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets questions by category
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Questions_GetByCategoryId]
(
	@CategoryId BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Questions WITH (NOLOCK) WHERE CategoryId = @CategoryId
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_GetById]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets a Question
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Questions_GetById]
(
	@QuestionID BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Questions WITH (NOLOCK) WHERE QuestionId = @QuestionID
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_List_ByEditStatus]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of tests by edit status
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_List_ByEditStatus]
(
	@EditStatus NCHAR(1)
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Tests.*
   FROM dbo.Tests WITH (NOLOCK) 
   WHERE  
		 IsDeleted = 0 AND
		 EditStatus = @EditStatus 
	ORDER BY TestName		 
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new test on Test table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_Insert]
  @TestName NVARCHAR(100), 
  @TestDescription NVARCHAR(MAX), 
  @MaxAttempts INT, 
  @QuestionsPerPage INT, 
  @ResolutionMaxMinutes INT, 
  @EvaluationType NCHAR(1),
  @EditStatus NCHAR(1),
  @CreatedDate DATETIME, 
  @CreatedBy BIGINT,
  @IsDeleted BIGINT,
  @TestID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Tests]
           ([TestName]
           ,[TestDescription]
           ,[MaxAttempts]
           ,[QuestionsPerPage]
           ,[ResolutionMaxMinutes]
           ,[EvaluationType]
           ,[EditStatus]
           ,[CreatedDate]
           ,[CreatedBy]
           ,[UpdatedDate]
           ,[UpdatedBy]
           ,[IsDeleted])
  VALUES
           (@TestName
           ,@TestDescription
           ,@MaxAttempts
           ,@QuestionsPerPage
           ,@ResolutionMaxMinutes
           ,@EvaluationType
           ,@EditStatus
           ,@CreatedDate
           ,@CreatedBy
           ,NULL
           ,NULL
           ,@IsDeleted)
            
  SELECT @TestID= SCOPE_IDENTITY()  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_GetById]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets a test
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_GetById]
(
	@TestID BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Tests WITH (NOLOCK) WHERE TestId = @TestID
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_Update_Resources]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing Question on Question table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Questions_Update_Resources]
(
  @QuestionID BIGINT,
  @ImageResource NVARCHAR(255),
  @SoundResource NVARCHAR(255),
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Questions]
	SET	   
		   [ImageResource] = @ImageResource
		  ,[SoundResource] = @SoundResource
		  ,[UpdatedDate] = @UpdatedDate 
		  ,[UpdatedBy] = @UpdatedBy		  
	 WHERE 
		QuestionID = @QuestionID
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing Question on Question table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Questions_Update]
(
  @QuestionID BIGINT,
  @QuestionDescription NVARCHAR(MAX), 
  @CategoryID BIGINT, 
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT,
  @IsDeleted BIT 
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Questions]
	SET	   [QuestionDescription] = @QuestionDescription
		  ,[CategoryID] = @CategoryID
		  ,[UpdatedDate] = @UpdatedDate 
		  ,[UpdatedBy] = @UpdatedBy
	 WHERE 
		QuestionID = @QuestionID
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new Question on Question table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Questions_Insert]
  @QuestionDescription NVARCHAR(MAX), 
  @EditStatus NCHAR(1),   
  @AnswersType NCHAR(1),   
  @CategoryID BIGINT, 
  @CreatedDate DATETIME, 
  @CreatedBy BIGINT,
  @IsDeleted BIGINT,
  @QuestionID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Questions]
           ([QuestionDescription]
           ,[EditStatus]
           ,[AnswersType]
           ,[CategoryID]
           ,[CreatedDate]
           ,[CreatedBy]
           ,[UpdatedDate]
           ,[UpdatedBy]
           ,[IsDeleted])
  VALUES
           (@QuestionDescription
           ,@EditStatus
           ,@AnswersType
           ,@CategoryID
           ,@CreatedDate
           ,@CreatedBy
           ,NULL
           ,NULL
           ,@IsDeleted)
            
  SELECT @QuestionID= SCOPE_IDENTITY()  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Log_Select]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Selects from the log
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Log_Select]
(
	@UserID BIGINT,
	@StartDate DATETIME,
	@EndDate DATETIME,
	@LogType NCHAR(1),
	@MaximumRows INT ,
	@StartRowIndex INT
)
AS
BEGIN
    SET NOCOUNT ON

	SELECT  *
	FROM    ( SELECT    
			    ROW_NUMBER() OVER ( 
					ORDER BY [Log].CreatedDate DESC
				) AS RowNum, [Log].*, [Users].FirstName, [Users].UserName
			  FROM dbo.[Log] WITH (NOLOCK) LEFT JOIN
				   dbo.[Users] ON 
					  [Log].CreatedBy = [Users].UserID
			  WHERE
				 (@UserID IS NULL OR [Log].CreatedBy = @UserID) AND
				 (@StartDate IS NULL OR [Log].CreatedDate >= @StartDate) AND				  
				 (@EndDate IS NULL OR [Log].CreatedDate <= @EndDate) AND
				 (@LogType IS NULL OR LogType = @LogType)
			) AS TotalResulst
	WHERE   RowNum >= @StartRowIndex AND RowNum < (@MaximumRows + @StartRowIndex)
	ORDER BY RowNum
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Log_List]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of log entries
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Log_List]
(
	@UserID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.[Log] WITH (NOLOCK) WHERE CreatedBy = @UserID  ORDER BY CreatedDate DESC
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Log_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new log on Log table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Log_Insert]
  @Description NVARCHAR(MAX), 
  @LogType NCHAR(1),
  @CreatedDate DATETIME, 
  @CreatedBy BIGINT,
  @LogID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Log]
           ([Description]
           ,[LogType]
           ,[CreatedDate]
           ,[CreatedBy])
  VALUES
           (@Description
           ,@LogType
           ,@CreatedDate
           ,@CreatedBy
	)
            
  SELECT @LogID= SCOPE_IDENTITY()  
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Log_Count]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Counts list of log entries
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Log_Count]
(
	@UserID BIGINT,
	@StartDate DATETIME,
	@EndDate DATETIME,
	@LogType NCHAR(1)
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT COUNT(*) 
   FROM dbo.[Log] WITH (NOLOCK) 
   WHERE  
	 (@UserID IS NULL OR [Log].CreatedBy = @UserID) AND
	 (@StartDate IS NULL OR [Log].CreatedDate >= @StartDate) AND				  
	 (@EndDate IS NULL OR [Log].CreatedDate <= @EndDate) AND
	 (@LogType IS NULL OR LogType = @LogType)
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_Users_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new user on Classroom_User table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_Users_Insert]
  @ClassroomID BIGINT,
  @UserID BIGINT
AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Classrooms_Users]  
           ([ClassroomID]
           ,[UserID])
  VALUES
           (@ClassroomID
           ,@UserID)
           
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_Users_Delete]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Deletes user classroom on Classroom_User table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_Users_Delete]
  @ClassroomID BIGINT,
  @UserID BIGINT

AS
BEGIN
  SET NOCOUNT ON

  DELETE FROM [dbo].[Classrooms_Users]  
  WHERE ClassroomID = @ClassroomID AND
		UserID = @UserID 
          
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_Select]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Selects list of users
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_Select]
(
	@SearchText NVARCHAR(50),
	@IsDeleted BIT,
	@UserID BIGINT,
	@MaximumRows INT ,
	@StartRowIndex INT,
	@SortColumn  NVARCHAR(100),
	@SortDirection NVARCHAR(4)
)
AS
BEGIN
    SET NOCOUNT ON

	SELECT  *		 
	FROM    ( SELECT    
			    ROW_NUMBER() OVER ( 
					ORDER BY 
						CASE WHEN @SortDirection = 'ASC' AND @SortColumn = 'StudentCount'
							 THEN StudentCount END ASC,
						CASE WHEN @SortDirection = 'ASC' AND @SortColumn = 'TeacherCount'
							 THEN TeacherCount END ASC,
						CASE WHEN @SortDirection = 'ASC'  
							 THEN ClassroomName END ASC,
						CASE WHEN @SortDirection = 'DES' AND @SortColumn = 'StudentCount'
							 THEN StudentCount END DESC,
						CASE WHEN @SortDirection = 'DES' AND @SortColumn = 'TeacherCount'
							 THEN TeacherCount END DESC,
						CASE WHEN @SortDirection = 'DES'  
							 THEN ClassroomName END DESC							 
				) AS RowNum,
				InnerResults.*
		 FROM 
		 (
			SELECT
				Classrooms.*,
				(SELECT COUNT(*) 
				 FROM dbo.Classrooms_Users INNER JOIN
					 dbo.Users ON Classrooms_Users.UserId = Users.UserId
				 WHERE ClassroomId = Classrooms.ClassroomId AND
					   Users.UserType = 'T'
				 ) AS TeacherCount,
				(SELECT COUNT(*) 
				 FROM dbo.Classrooms_Users INNER JOIN
					 dbo.Users ON Classrooms_Users.UserId = Users.UserId
				 WHERE ClassroomId = Classrooms.ClassroomId AND
					   Users.UserType = 'S'
				 ) AS StudentCount		 				
			  FROM dbo.Classrooms WITH (NOLOCK) 
			  WHERE
				 (ClassroomName LIKE @SearchText ) AND
				 (@IsDeleted = 1 OR IsDeleted = @IsDeleted) AND
				 (@UserID  IS NULL OR ClassroomID IN (SELECT ClassroomID FROM dbo.Classrooms_Users WHERE UserID = @UserID))
		  ) AS InnerResults		 				
	) AS TotalResults
	WHERE   RowNum >= @StartRowIndex AND RowNum < (@MaximumRows + @StartRowIndex)
	ORDER BY RowNum
	
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_ListByUser]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets classrooms assinged to a user
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_ListByUser]
(
	@UserID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON


   SELECT Classrooms.* 
   FROM dbo.Classrooms 		
   WHERE 
		Classrooms.IsDeleted = 0 AND
		Classrooms.ClassroomID  IN (
			SELECT ClassroomID FROM Classrooms_Users WHERE Classrooms_Users.UserID = @UserID)
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_Select]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of users
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_Select]
(
	@SearchText NVARCHAR(50),
	@UserType NCHAR(1),
	@IsDeleted BIT,
	@ClassroomId BIGINT,	
	@MaximumRows INT ,
	@StartRowIndex INT,
	@SortColumn  NVARCHAR(100),
	@SortDirection NVARCHAR(4)
)
AS
BEGIN
    SET NOCOUNT ON

	SELECT  *
	FROM    ( SELECT    
			    ROW_NUMBER() OVER ( 
					ORDER BY 
						CASE @SortDirection
							WHEN 'ASC'  THEN					
							CASE @SortColumn
							  WHEN 'LastName' THEN LastName
							  WHEN 'FirstName' THEN FirstName
							  WHEN 'UserName' THEN UserName
							  ELSE UserType							  
							 END
						 END ASC,
						 CASE @SortDirection
							 WHEN 'DES' THEN
							  CASE @SortColumn
								WHEN 'LastName' THEN LastName
								WHEN 'FirstName' THEN FirstName
								WHEN 'UserName' THEN UserName
								ELSE UserType								
							  END
			              END DESC  
				) AS RowNum, *
			  FROM dbo.Users WITH (NOLOCK) 
			  WHERE
				 (@UserType IS NULL OR UserType = @UserType) AND			  
				 (FirstName LIKE @SearchText OR LastName LIKE @SearchText OR UserName LIKE @SearchText) AND
				 (@IsDeleted = 1 OR IsDeleted = @IsDeleted) AND
				 (@ClassroomId IS NULL OR UserID IN (SELECT UserID FROM dbo.Classrooms_Users WHERE ClassroomID = @ClassroomID))
			) AS TotalResulst
	WHERE   RowNum >= @StartRowIndex AND RowNum < (@MaximumRows + @StartRowIndex)
	ORDER BY RowNum
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_List_ByNotClassroomId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of users not assigned to a classroom
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_List_ByNotClassroomId]
(
	@ClassroomID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Users.* 
   FROM dbo.Users WITH (NOLOCK)  
   WHERE 
	Users.IsDeleted = 0 AND
	Users.UserType IN ('T','S') AND
	Users.UserId NOT IN (	
		SELECT UserID FROM dbo.Classrooms_Users WHERE Classrooms_Users.ClassroomID= @ClassroomID )
	 ORDER BY LastName, FirstName
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_List_ByClassroomId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of users assigned to a classroom
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_List_ByClassroomId]
(
	@ClassroomID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Users.* 
   FROM dbo.Users WITH (NOLOCK)  
   WHERE 
	Users.IsDeleted = 0 AND
	Users.UserType IN ('T','S') AND	
	Users.UserId IN (	
		SELECT UserID FROM dbo.Classrooms_Users WHERE Classrooms_Users.ClassroomID= @ClassroomID )
	ORDER BY LastName, FirstName
	
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Users_Count]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Counts number of users
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Users_Count]
(
	@SearchText NVARCHAR(50),
	@UserType NCHAR(1),
	@IsDeleted BIT,
	@ClassroomID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT COUNT(*) AS [Count] 
   FROM dbo.Users WITH (NOLOCK)
   WHERE
	 (@UserType IS NULL OR UserType = @UserType) AND			  
	 (FirstName LIKE @SearchText OR LastName LIKE @SearchText OR UserName LIKE @SearchText) AND
	 (@IsDeleted = 1 OR IsDeleted = @IsDeleted)  AND
	 (@ClassroomId IS NULL OR UserID IN (SELECT UserID FROM dbo.Classrooms_Users WHERE ClassroomID = @ClassroomID))
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing test on Test table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_Update]
(
  @TestID BIGINT,
  @TestName NVARCHAR(100), 
  @TestDescription NVARCHAR(MAX), 
  @MaxAttempts INT, 
  @QuestionsPerPage INT, 
  @ResolutionMaxMinutes INT, 
  @EvaluationType NCHAR(1),
  @EditStatus NCHAR(1),
  @UpdatedDate DATETIME, 
  @UpdatedBy BIGINT,
  @IsDeleted BIT 
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Tests]
	SET	   [TestName] = @TestName
		  ,[TestDescription] = @TestDescription
		  ,[MaxAttempts] = @MaxAttempts
		  ,[QuestionsPerPage] = @QuestionsPerPage
		  ,[ResolutionMaxMinutes] = @ResolutionMaxMinutes
		  ,[EvaluationType] = @EvaluationType
		  ,[EditStatus] = @EditStatus 
		  ,[UpdatedDate] = @UpdatedDate
		  ,[UpdatedBy] = @UpdatedBy
		  ,[IsDeleted] = @IsDeleted
	 WHERE 
		TestID = @TestID
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_Select]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets list of users by createdBy
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_Select]
(
	@SearchText NVARCHAR(50),
	@IsDeleted BIT,
	@EditStatus NCHAR(1),
	@CreatedBy BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Tests.*
   FROM dbo.Tests WITH (NOLOCK) 
   WHERE 
		 (@CreatedBy IS NULL OR CreatedBy = @CreatedBy) AND 
		 (IsDeleted = @IsDeleted) AND
		 EditStatus = @EditStatus AND
		 (TestName LIKE @SearchText)
	ORDER BY TestName		 
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_Questions_UpdateEditStatus]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates test questions edit status
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_Questions_UpdateEditStatus]
(
  @TestID BIGINT,
  @EditStatus NCHAR(1)
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Questions]
	SET	   [EditStatus] = @EditStatus
	WHERE 
		QuestionID IN (SELECT QuestionID FROM Tests_Questions WITH (NOLOCK) WHERE TestID = @TestID)
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_Questions_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Assigns a question to a test
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_Questions_Insert]
  @TestID BIGINT,
  @QuestionID  BIGINT,
  @CategoryID  BIGINT,
  @TestQuestionId BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Tests_Questions]
           ([TestId]
           ,[QuestionId]
           ,[CategoryId]
           )
  VALUES
           (@TestID
           ,@QuestionID
           ,@CategoryID
	)
  SELECT @TestQuestionId= SCOPE_IDENTITY()             
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Tests_Questions_Delete]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Removes a question from a test
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Tests_Questions_Delete]
  @TestQuestionID BIGINT

AS
BEGIN
  SET NOCOUNT ON

  DELETE FROM [dbo].[Tests_Questions]
  WHERE
       [TestQuestionId] = @TestQuestionID
            
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_Tests_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new test on Classroom_Test table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_Tests_Insert]
  @ClassroomID BIGINT,
  @TestID BIGINT,
  @StartDate DATETIME,
  @EndDate DATETIME
  
AS
BEGIN
  SET NOCOUNT ON

  INSERT INTO [dbo].[Classrooms_Tests]
           ([ClassroomID]
           ,[TestID]
           ,[StartDate]
           ,[EndDate])
  VALUES
           (@ClassroomID
           ,@TestID
           ,@StartDate
           ,@EndDate)
           
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_ListByTest]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets classrooms assinged to a test
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_ListByTest]
(
	@TestID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON


   SELECT Classrooms.*,
		  Classrooms_Tests.Startdate AS TestStartDate,
		  Classrooms_Tests.EndDate AS TestEndDate
   FROM dbo.Classrooms INNER JOIN
		dbo.Classrooms_Tests ON Classrooms.ClassroomID = Classrooms_Tests.ClassroomID 
   WHERE 
		Classrooms.IsDeleted = 0 AND
		Classrooms_Tests.TestID = @TestID
	ORDER BY 
	    Classrooms_Tests.Startdate,
	    Classrooms_Tests.EndDate,
	    Classrooms.ClassroomName	
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_GetByTestId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets questions by test
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Questions_GetByTestId]
(
	@TestId BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Tests_Questions.TestQuestionId, ISNULL(Tests_Questions.CategoryId, Questions.CategoryID) AS CategoryId,
		  Questions.QuestionId, Questions.QuestionDescription, Questions.EditStatus, Questions.AnswersType,Questions.CreatedBy, Questions.ImageResource, Questions.SoundResource, Questions.CreatedDate, Questions.CreatedBy, Questions.UpdatedDate, Questions.UpdatedBy, Questions.IsDeleted,
		  Categories.CategoryName 
   FROM dbo.Tests_Questions WITH (NOLOCK) LEFT JOIN
	    dbo.Questions WITH (NOLOCK) ON Questions.QuestionID = Tests_Questions.QuestionID LEFT JOIN
	    dbo.Categories WITH (NOLOCK) ON Categories.CategoryId = Tests_Questions.CategoryId 
   WHERE 
	    Tests_Questions.TestId = @TestId   
	ORDER BY Tests_Questions.TestQuestionId ASC
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_GetByEditStatusAndCategory]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[usp_Questions_GetByEditStatusAndCategory]
(
	@EditStatus NCHAR(1),
	@CategoryId BIGINT,
	@TestId BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON	
	
   SELECT Questions.*
   FROM dbo.Questions WITH (NOLOCK) 
   WHERE 
		(@CategoryId IS NULL OR Questions.CategoryId = @CategoryId) AND
 		Questions.EditStatus = @EditStatus AND
 		Questions.QuestionID NOT IN (SELECT Tests_Questions.QuestionID FROM Tests_Questions WITH (NOLOCK) WHERE Tests_Questions.TestID = @TestID)
		   
	ORDER BY 
		Questions.QuestionDescription
   
END
GO
/****** Object:  Table [dbo].[Attempts]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Attempts](
	[AttemptId] [bigint] IDENTITY(1,1) NOT NULL,
	[ClassroomId] [bigint] NOT NULL,
	[TestId] [bigint] NOT NULL,
	[UserId] [bigint] NOT NULL,
	[StartDate] [datetime] NOT NULL,
	[EndDate] [datetime] NULL,
	[Score] [nvarchar](10) NULL,
 CONSTRAINT [PK_Attempts] PRIMARY KEY CLUSTERED 
(
	[AttemptId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  StoredProcedure [dbo].[usp_Answers_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an existing Answer on Answer table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Answers_Update]
(
  @QuestionID BIGINT, 
  @AnswerNumber INT ,
  @AnswerDescription NVARCHAR(MAX), 
  @IsCorrectHint NVARCHAR(MAX), 
  @IsIncorrectHint NVARCHAR(MAX),
  @correctValue NVARCHAR(MAX)
)
AS
BEGIN
   SET NOCOUNT ON

	UPDATE [dbo].[Answers]
	SET	   [AnswerDescription] = @AnswerDescription
		  ,[IsCorrectHint] = @IsCorrectHint
		  ,[IsIncorrectHint] = @IsIncorrectHint
		  ,[correctValue] = @correctValue
	 WHERE 
		QuestionID = @QuestionID AND
		AnswerNumber = @AnswerNumber
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Answers_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new Answer on Answer table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Answers_Insert]
  @QuestionID BIGINT, 
  @AnswerDescription NVARCHAR(MAX), 
  @IsCorrectHint NVARCHAR(MAX), 
  @IsIncorrectHint NVARCHAR(MAX),
  @correctValue NVARCHAR(MAX),
  @AnswerNumber INT OUTPUT

AS
BEGIN
  SET NOCOUNT ON

   
  SELECT @AnswerNumber= COUNT(*) + 1 FROM dbo.Answers WITH (NOLOCK) WHERE QuestionId = @QuestionID

  INSERT INTO [dbo].[Answers]
           ([QuestionID]
           ,[AnswerNumber]
           ,[AnswerDescription]
           ,[IsCorrectHint]
           ,[IsIncorrectHint]
           ,[correctValue])
  VALUES
           (@QuestionID
           ,@AnswerNumber
           ,@AnswerDescription
           ,@IsCorrectHint
           ,@IsIncorrectHint
           ,@correctValue)            
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Answers_GetByQuestionId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets answers mapped to a question
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Answers_GetByQuestionId]
(
	@QuestionId BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Answers WITH (NOLOCK) WHERE QuestionId = @QuestionId
   ORDER BY AnswerNumber ASC
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Answers_GetByID]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets answers by ID
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Answers_GetByID]
(
	@QuestionId BIGINT,
	@AnswerNumber INT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * 
   FROM dbo.Answers WITH (NOLOCK) 
   WHERE QuestionId = @QuestionId AND
		 AnswerNumber = @AnswerNumber
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Answers_Delete]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Deletes an answer
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Answers_Delete]
(
  @QuestionID BIGINT, 
  @AnswerNumber INT 
)
AS
BEGIN
   SET NOCOUNT ON

	DELETE FROM [dbo].[Answers]
	 WHERE 
		QuestionID = @QuestionID AND
		AnswerNumber = @AnswerNumber
		
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Classrooms_ListByNotAssignedToTest]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets classrooms assinged to a user
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Classrooms_ListByNotAssignedToTest]
(
	@TestID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Classrooms.* 
   FROM dbo.Classrooms 		
   WHERE 
		Classrooms.IsDeleted = 0 AND
		Classrooms.ClassroomID NOT IN (
			SELECT ClassroomID FROM Classrooms_Tests WHERE Classrooms_Tests.TestID = @TestID)
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new attempt on Attempts table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_Insert]
  @ClassroomID BIGINT,
  @TestID BIGINT,
  @UserID BIGINT,
  @Startdate DATETIME,
  @EndDate DATETIME,
  @Score NVARCHAR(10),
  @AttemptID BIGINT OUTPUT

AS
BEGIN
  SET NOCOUNT ON
   
 
  INSERT INTO [dbo].[Attempts]
           ([ClassroomID]
           ,[TestID]
           ,[UserID]
           ,[StartDate]
           ,[EndDate]
           ,[Score])
  VALUES
           (@ClassroomID
           ,@TestID
           ,@UserID
           ,@Startdate
           ,@EndDate
           ,@Score)
  SELECT @AttemptID= SCOPE_IDENTITY()             
           
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_GetNumberOfAttempts]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: 
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_GetNumberOfAttempts]
(
	@TestID BIGINT,
	@ClassroomID BIGINT,
	@UserID BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT COUNT(*) AS NumberOfAttempts
   FROM dbo.Attempts WITH (NOLOCK) 
   WHERE 
		 Attempts.TestID = @TestID AND
		 Attempts.ClassroomID = @ClassroomID AND
		 Attempts.UserID = @UserId 
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_GetHistoryForStudent]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets student attempt history list
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_GetHistoryForStudent]
(
	@UserId BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT 
		  Tests.TestID,
		  Tests.TestName,		  
		  Tests.ResolutionMaxMinutes,
		  Tests.MaxAttempts,
		  Tests.EvaluationType,
		  Classrooms.ClassroomID,
		  Classrooms.ClassroomName,
		  Classrooms_Tests.StartDate AS ClassroomStartDate,
		  Classrooms_Tests.EndDate AS ClassroomEndDate,
		  Classrooms_Users.UserID,
		  Attempts.AttemptID,
		  Attempts.Score,
		  Attempts.StartDate,
		  Attempts.EndDate
		  
   FROM dbo.Tests WITH (NOLOCK) INNER JOIN
		dbo.Classrooms_Tests ON Tests.TestID = Classrooms_Tests.TestID INNER JOIN
		dbo.Classrooms ON Classrooms.ClassroomID = Classrooms_Tests.ClassroomID  INNER JOIN
		dbo.Classrooms_Users ON Classrooms.ClassroomID = Classrooms_Users.ClassroomID LEFT JOIN
		dbo.Attempts ON 
			Attempts.ClassroomID = Classrooms.ClassroomID  AND 
			Attempts.TestID = Tests.TestID AND 
			Attempts.UserID = Classrooms_Users.UserID 
   WHERE 
		 Classrooms_Users.UserID = @UserId 
	ORDER BY 
		Classrooms.ClassroomName DESC, Attempts.StartDate ASC
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_GetForStudent]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: 
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_GetForStudent]
(
	@UserId BIGINT,
	@EditStatus NCHAR(1)
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT 
		  Tests.TestID,
		  Tests.TestName,		  
		  Tests.ResolutionMaxMinutes,
		  Tests.MaxAttempts,
		  Tests.EvaluationType,
		  Classrooms.ClassroomID,
		  Classrooms.ClassroomName,
		  Classrooms_Tests.StartDate AS ClassroomStartDate,
		  Classrooms_Tests.EndDate AS ClassroomEndDate,
		  Classrooms_Users.UserID,
		  Attempts.AttemptID,
		  Attempts.Score,
		  Attempts.StartDate,
		  Attempts.EndDate
   FROM dbo.Tests WITH (NOLOCK) INNER JOIN
		dbo.Classrooms_Tests ON Tests.TestID = Classrooms_Tests.TestID INNER JOIN
		dbo.Classrooms ON Classrooms.ClassroomID = Classrooms_Tests.ClassroomID  INNER JOIN
		dbo.Classrooms_Users ON Classrooms.ClassroomID = Classrooms_Users.ClassroomID LEFT JOIN
		dbo.Attempts ON 
			Attempts.ClassroomID = Classrooms.ClassroomID  AND 
			Attempts.TestID = Tests.TestID AND 
			Attempts.UserID = Classrooms_Users.UserID 
   WHERE 
		 Classrooms_Users.UserID = @UserId AND
		 Tests.EditStatus = @EditStatus AND
		 GETDATE() >= Classrooms_Tests.StartDate AND 
		 Classrooms_Tests.EndDate >= GETDATE() AND
		 Tests.IsDeleted = 0 AND
		 Classrooms.IsDeleted = 0
	ORDER BY 
		Classrooms.ClassroomName DESC, Attempts.StartDate DESC
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_GetById]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets an Attempt
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_GetById]
(
	@AttemptID BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * FROM dbo.Attempts WITH (NOLOCK) WHERE AttemptID = @AttemptID
   
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_GetByClassroomIdUserId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets an Attempt by classroom and user
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_GetByClassroomIdUserId]
(
	@ClassroomID BIGINT,
	@UserId BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT Attempts.*,
		  Tests.TestName,
		  Tests.ResolutionMaxMinutes
   FROM dbo.Attempts WITH (NOLOCK) INNER JOIN
		dbo.Tests ON Attempts.TestID = Tests.TestID
   WHERE ClassroomID = @ClassroomID AND
		 UserId = @UserId    
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_GetByClassroomIdTestIdUserId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets an Attempt by classroom, test and user
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_GetByClassroomIdTestIdUserId]
(
	@ClassroomID BIGINT,
	@TestID BIGINT,
	@UserId BIGINT
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT * 
   FROM dbo.Attempts WITH (NOLOCK) 
   WHERE ClassroomID = @ClassroomID AND
		 TestID = @TestID AND
		 UserId = @UserId    
END
GO
/****** Object:  Table [dbo].[Attempts_Questions]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Attempts_Questions](
	[AttemptID] [bigint] NOT NULL,
	[QuestionId] [bigint] NOT NULL,
	[Result] [float] NULL,
 CONSTRAINT [PK_Attempts_Questions_1] PRIMARY KEY CLUSTERED 
(
	[AttemptID] ASC,
	[QuestionId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_Upate]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new attempt on Attempts table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_Upate]
  @AttemptID BIGINT ,
  @EndDate DATETIME,
  @Score NVARCHAR(10)


AS
BEGIN
  SET NOCOUNT ON
   
 
  UPDATE [dbo].[Attempts]
  SET 
	EndDate = @EndDate, 
    Score = @Score
  WHERE 
	AttemptID= @AttemptID
           
END
GO
/****** Object:  Table [dbo].[Attempts_Questions_Answers]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Attempts_Questions_Answers](
	[AttemptId] [bigint] NOT NULL,
	[QuestionId] [bigint] NOT NULL,
	[AnswerNumber] [int] NOT NULL,
	[attemptValue] [nvarchar](1024) NOT NULL,
 CONSTRAINT [PK_Attempts_Questions_Answers] PRIMARY KEY CLUSTERED 
(
	[AttemptId] ASC,
	[QuestionId] ASC,
	[AnswerNumber] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_Questions_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: updates an attempt for aquestion on Attempts_Questions table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_Questions_Update]
  @AttemptID BIGINT,
  @QuestionID BIGINT,
  @Result FLOAT

AS
BEGIN
  SET NOCOUNT ON
   
  UPDATE [dbo].[Attempts_Questions]
  SET
	Result = @Result
  WHERE  	
    [AttemptID] = @AttemptID AND
    [QuestionID] = @QuestionID
          
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_Questions_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new attempt for aquestion on Attempts_Questions table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_Questions_Insert]
  @AttemptID BIGINT,
  @QuestionID BIGINT,
  @Result INT

AS
BEGIN
  SET NOCOUNT ON
   
  INSERT INTO [dbo].[Attempts_Questions]
           ([AttemptID]
           ,[QuestionID]
           ,[Result]
           )
  VALUES
           (@AttemptID
           ,@QuestionID
           ,@Result)
           
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Questions_GetByAttemptId]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Gets questions by attempt
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Questions_GetByAttemptId]
(
	@AttemptId BIGINT	
)
AS
BEGIN
   SET NOCOUNT ON

   SELECT *
   FROM 
		dbo.Attempts WITH (NOLOCK) INNER JOIN 
		dbo.Tests_Questions WITH (NOLOCK) ON
			Tests_Questions.TestID = Attempts.TestID INNER JOIN 					
		dbo.Questions WITH (NOLOCK) ON 
			Questions.QuestionID = Tests_Questions.QuestionID INNER JOIN
		dbo.Answers WITH (NOLOCK)  ON 
			Answers.QuestionID = Questions.QuestionID LEFT JOIN
		dbo.Attempts_Questions WITH (NOLOCK) ON
			Attempts_Questions.AttemptID = Attempts.AttemptID AND
			Attempts_Questions.QuestionID = Questions.QuestionID LEFT JOIN
	    dbo.Attempts_Questions_Answers WITH (NOLOCK) ON 
			Attempts_Questions_Answers.QuestionID = Questions.QuestionID AND
			Attempts_Questions_Answers.AttemptID = Attempts.AttemptID AND
			Attempts_Questions_Answers.AnswerNumber = Answers.AnswerNumber 	
   WHERE 
	    Attempts.AttemptId = @AttemptId
   ORDER BY Tests_Questions.TestQuestionId ASC, Answers.AnswerNumber ASC
END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_Questions_Answers_Update]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Updates an attempt for aquestion on Attempts_Questions_Anwers table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_Questions_Answers_Update]
  @AttemptID BIGINT,
  @QuestionID BIGINT,
  @AnswerNumber INT,
  @AttemptValue NVARCHAR(1024)

AS
BEGIN
  SET NOCOUNT ON
   
  UPDATE [dbo].[Attempts_Questions_Answers]
  SET
  [AttemptValue] = @AttemptValue
  WHERE
   [AttemptID] = @AttemptID AND
   [QuestionID] = @QuestionID AND
   [AnswerNumber] =  @AnswerNumber   

END
GO
/****** Object:  StoredProcedure [dbo].[usp_Attempts_Questions_Answers_Insert]    Script Date: 06/13/2015 16:27:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ----------------------------------------------------------------------------------------------------- 
-- Description: Inserts a new user answer on Attempts_Questions_Answers table
-- Author: Roi Neira
-- ----------------------------------------------------------------------------------------------------- 
CREATE PROCEDURE [dbo].[usp_Attempts_Questions_Answers_Insert]
  @AttemptID BIGINT,
  @QuestionID BIGINT,
  @AnswerNumber INT,
  @AttemptValue NVARCHAR(1024)

AS
BEGIN
  SET NOCOUNT ON
   
  INSERT INTO [dbo].[Attempts_Questions_Answers]
           ([AttemptID]
           ,[QuestionID]
           ,[AnswerNumber]
           ,[AttemptValue]
           )
  VALUES
           (@AttemptID
           ,@QuestionID
           ,@AnswerNumber
           ,@AttemptValue)
           
END
GO
/****** Object:  ForeignKey [FK_Tests_Users]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Tests]  WITH CHECK ADD  CONSTRAINT [FK_Tests_Users] FOREIGN KEY([CreatedBy])
REFERENCES [dbo].[Users] ([UserId])
GO
ALTER TABLE [dbo].[Tests] CHECK CONSTRAINT [FK_Tests_Users]
GO
/****** Object:  ForeignKey [FK_Tests_Users1]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Tests]  WITH CHECK ADD  CONSTRAINT [FK_Tests_Users1] FOREIGN KEY([UpdatedBy])
REFERENCES [dbo].[Users] ([UserId])
GO
ALTER TABLE [dbo].[Tests] CHECK CONSTRAINT [FK_Tests_Users1]
GO
/****** Object:  ForeignKey [FK_Questions_Categories]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Questions]  WITH CHECK ADD  CONSTRAINT [FK_Questions_Categories] FOREIGN KEY([CategoryId])
REFERENCES [dbo].[Categories] ([CategoryId])
GO
ALTER TABLE [dbo].[Questions] CHECK CONSTRAINT [FK_Questions_Categories]
GO
/****** Object:  ForeignKey [FK_Questions_Users]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Questions]  WITH CHECK ADD  CONSTRAINT [FK_Questions_Users] FOREIGN KEY([CreatedBy])
REFERENCES [dbo].[Users] ([UserId])
GO
ALTER TABLE [dbo].[Questions] CHECK CONSTRAINT [FK_Questions_Users]
GO
/****** Object:  ForeignKey [FK_Questions_Users1]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Questions]  WITH CHECK ADD  CONSTRAINT [FK_Questions_Users1] FOREIGN KEY([UpdatedBy])
REFERENCES [dbo].[Users] ([UserId])
GO
ALTER TABLE [dbo].[Questions] CHECK CONSTRAINT [FK_Questions_Users1]
GO
/****** Object:  ForeignKey [FK_Log_Users]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Log]  WITH CHECK ADD  CONSTRAINT [FK_Log_Users] FOREIGN KEY([CreatedBy])
REFERENCES [dbo].[Users] ([UserId])
GO
ALTER TABLE [dbo].[Log] CHECK CONSTRAINT [FK_Log_Users]
GO
/****** Object:  ForeignKey [FK_Classroom_Users_Users]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Classrooms_Users]  WITH CHECK ADD  CONSTRAINT [FK_Classroom_Users_Users] FOREIGN KEY([UserId])
REFERENCES [dbo].[Users] ([UserId])
GO
ALTER TABLE [dbo].[Classrooms_Users] CHECK CONSTRAINT [FK_Classroom_Users_Users]
GO
/****** Object:  ForeignKey [FK_Classrooms_Tests_Classrooms]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Classrooms_Tests]  WITH CHECK ADD  CONSTRAINT [FK_Classrooms_Tests_Classrooms] FOREIGN KEY([ClassroomId])
REFERENCES [dbo].[Classrooms] ([ClassroomId])
GO
ALTER TABLE [dbo].[Classrooms_Tests] CHECK CONSTRAINT [FK_Classrooms_Tests_Classrooms]
GO
/****** Object:  ForeignKey [FK_Classrooms_Tests_Tests]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Classrooms_Tests]  WITH CHECK ADD  CONSTRAINT [FK_Classrooms_Tests_Tests] FOREIGN KEY([TestId])
REFERENCES [dbo].[Tests] ([TestId])
GO
ALTER TABLE [dbo].[Classrooms_Tests] CHECK CONSTRAINT [FK_Classrooms_Tests_Tests]
GO
/****** Object:  ForeignKey [FK_Tests_Questions_Categories]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Tests_Questions]  WITH CHECK ADD  CONSTRAINT [FK_Tests_Questions_Categories] FOREIGN KEY([CategoryId])
REFERENCES [dbo].[Categories] ([CategoryId])
GO
ALTER TABLE [dbo].[Tests_Questions] CHECK CONSTRAINT [FK_Tests_Questions_Categories]
GO
/****** Object:  ForeignKey [FK_Tests_Questions_Questions]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Tests_Questions]  WITH CHECK ADD  CONSTRAINT [FK_Tests_Questions_Questions] FOREIGN KEY([QuestionId])
REFERENCES [dbo].[Questions] ([QuestionId])
GO
ALTER TABLE [dbo].[Tests_Questions] CHECK CONSTRAINT [FK_Tests_Questions_Questions]
GO
/****** Object:  ForeignKey [FK_Tests_Questions_Tests]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Tests_Questions]  WITH CHECK ADD  CONSTRAINT [FK_Tests_Questions_Tests] FOREIGN KEY([TestId])
REFERENCES [dbo].[Tests] ([TestId])
GO
ALTER TABLE [dbo].[Tests_Questions] CHECK CONSTRAINT [FK_Tests_Questions_Tests]
GO
/****** Object:  ForeignKey [FK_Answers_Questions]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Answers]  WITH CHECK ADD  CONSTRAINT [FK_Answers_Questions] FOREIGN KEY([QuestionId])
REFERENCES [dbo].[Questions] ([QuestionId])
GO
ALTER TABLE [dbo].[Answers] CHECK CONSTRAINT [FK_Answers_Questions]
GO
/****** Object:  ForeignKey [FK_Attempts_Classroom_Users]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Attempts]  WITH CHECK ADD  CONSTRAINT [FK_Attempts_Classroom_Users] FOREIGN KEY([ClassroomId], [UserId])
REFERENCES [dbo].[Classrooms_Users] ([ClassroomId], [UserId])
GO
ALTER TABLE [dbo].[Attempts] CHECK CONSTRAINT [FK_Attempts_Classroom_Users]
GO
/****** Object:  ForeignKey [FK_Attempts_Classrooms_Tests]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Attempts]  WITH CHECK ADD  CONSTRAINT [FK_Attempts_Classrooms_Tests] FOREIGN KEY([ClassroomId], [TestId])
REFERENCES [dbo].[Classrooms_Tests] ([ClassroomId], [TestId])
GO
ALTER TABLE [dbo].[Attempts] CHECK CONSTRAINT [FK_Attempts_Classrooms_Tests]
GO
/****** Object:  ForeignKey [FK_Attempts_Questions_Attempts]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Attempts_Questions]  WITH CHECK ADD  CONSTRAINT [FK_Attempts_Questions_Attempts] FOREIGN KEY([AttemptID])
REFERENCES [dbo].[Attempts] ([AttemptId])
GO
ALTER TABLE [dbo].[Attempts_Questions] CHECK CONSTRAINT [FK_Attempts_Questions_Attempts]
GO
/****** Object:  ForeignKey [FK_Attempts_Questions_Answers_Answers]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Attempts_Questions_Answers]  WITH CHECK ADD  CONSTRAINT [FK_Attempts_Questions_Answers_Answers] FOREIGN KEY([QuestionId], [AnswerNumber])
REFERENCES [dbo].[Answers] ([QuestionId], [AnswerNumber])
GO
ALTER TABLE [dbo].[Attempts_Questions_Answers] CHECK CONSTRAINT [FK_Attempts_Questions_Answers_Answers]
GO
/****** Object:  ForeignKey [FK_Attempts_Questions_Answers_Attempts_Questions]    Script Date: 06/13/2015 16:27:45 ******/
ALTER TABLE [dbo].[Attempts_Questions_Answers]  WITH CHECK ADD  CONSTRAINT [FK_Attempts_Questions_Answers_Attempts_Questions] FOREIGN KEY([AttemptId], [QuestionId])
REFERENCES [dbo].[Attempts_Questions] ([AttemptID], [QuestionId])
GO
ALTER TABLE [dbo].[Attempts_Questions_Answers] CHECK CONSTRAINT [FK_Attempts_Questions_Answers_Attempts_Questions]
GO
