/*
RN: Initializes the AutoProofreader database in an empty DB.
*/

SET NUMERIC_ROUNDABORT OFF
GO
SET XACT_ABORT, ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS, NOCOUNT ON
GO
SET DATEFORMAT YMD
GO

BEGIN TRANSACTION

-- Drop constraints from [dbo].[Attempts_Questions_Answers]
ALTER TABLE [dbo].[Attempts_Questions_Answers] DROP CONSTRAINT [FK_Attempts_Questions_Answers_Answers]
ALTER TABLE [dbo].[Attempts_Questions_Answers] DROP CONSTRAINT [FK_Attempts_Questions_Answers_Attempts_Questions]

-- Drop constraints from [dbo].[Attempts_Questions]
ALTER TABLE [dbo].[Attempts_Questions] DROP CONSTRAINT [FK_Attempts_Questions_Attempts]

-- Drop constraints from [dbo].[Attempts]
ALTER TABLE [dbo].[Attempts] DROP CONSTRAINT [FK_Attempts_Classroom_Users]
ALTER TABLE [dbo].[Attempts] DROP CONSTRAINT [FK_Attempts_Classrooms_Tests]

-- Drop constraints from [dbo].[Tests_Questions]
ALTER TABLE [dbo].[Tests_Questions] DROP CONSTRAINT [FK_Tests_Questions_Categories]
ALTER TABLE [dbo].[Tests_Questions] DROP CONSTRAINT [FK_Tests_Questions_Questions]
ALTER TABLE [dbo].[Tests_Questions] DROP CONSTRAINT [FK_Tests_Questions_Tests]

-- Drop constraints from [dbo].[Classrooms_Tests]
ALTER TABLE [dbo].[Classrooms_Tests] DROP CONSTRAINT [FK_Classrooms_Tests_Classrooms]
ALTER TABLE [dbo].[Classrooms_Tests] DROP CONSTRAINT [FK_Classrooms_Tests_Tests]

-- Drop constraints from [dbo].[Answers]
ALTER TABLE [dbo].[Answers] DROP CONSTRAINT [FK_Answers_Questions]

-- Drop constraints from [dbo].[Tests]
ALTER TABLE [dbo].[Tests] DROP CONSTRAINT [FK_Tests_Users]
ALTER TABLE [dbo].[Tests] DROP CONSTRAINT [FK_Tests_Users1]

-- Drop constraints from [dbo].[Questions]
ALTER TABLE [dbo].[Questions] DROP CONSTRAINT [FK_Questions_Categories]
ALTER TABLE [dbo].[Questions] DROP CONSTRAINT [FK_Questions_Users]
ALTER TABLE [dbo].[Questions] DROP CONSTRAINT [FK_Questions_Users1]

-- Drop constraints from [dbo].[Classrooms_Users]
ALTER TABLE [dbo].[Classrooms_Users] DROP CONSTRAINT [FK_Classroom_Users_Users]

-- Drop constraint FK_Log_Users from [dbo].[Log]
ALTER TABLE [dbo].[Log] DROP CONSTRAINT [FK_Log_Users]

-- Add 8 rows to [dbo].[Categories]
SET IDENTITY_INSERT [dbo].[Categories] ON
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (11, N'ETIG-Xarxes', '2015-06-05 22:14:20.607', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (12, N'Carnet de conduir', '2015-06-05 23:48:12.580', 2, '2015-06-05 23:48:24.717', 2, 0)
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (13, N'Trivial - Historia', '2015-06-09 23:26:07.757', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (14, N'Trivial - Msica', '2015-06-12 23:37:03.100', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (15, N'Trivial - Popurr', '2015-06-12 23:37:30.373', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (16, N'test', '2015-06-13 02:13:52.123', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (17, N'test', '2015-06-13 02:14:02.740', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Categories] ([CategoryId], [CategoryName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (18, N'ETIG-Enginyeria del Programari', '2015-06-13 13:30:18.153', 2, NULL, NULL, 0)
SET IDENTITY_INSERT [dbo].[Categories] OFF

-- Add 6 rows to [dbo].[Classrooms]
SET IDENTITY_INSERT [dbo].[Classrooms] ON
INSERT INTO [dbo].[Classrooms] ([ClassroomId], [ClassroomName], [StartDate], [EndDate], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (41, N'ETIG-Xarxes', '2015-01-01 00:00:00.000', '2016-01-01', '2015-06-05', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Classrooms] ([ClassroomId], [ClassroomName], [StartDate], [EndDate], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (42, N'Carnet de conducir B1', '2015-01-01 00:00:00.000', '2016-01-01', '2015-06-05', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Classrooms] ([ClassroomId], [ClassroomName], [StartDate], [EndDate], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (43, N'Trivial pursuit', '2015-06-01 00:00:00.000', '2016-06-30', '2015-06-09', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Classrooms] ([ClassroomId], [ClassroomName], [StartDate], [EndDate], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (44, N'test', '2015-06-02 00:00:00.000', '2015-06-27', '2015-06-13', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Classrooms] ([ClassroomId], [ClassroomName], [StartDate], [EndDate], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (45, N'test', '2015-06-02 00:00:00.000', '2015-06-27', '2015-06-13', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Classrooms] ([ClassroomId], [ClassroomName], [StartDate], [EndDate], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (46, N'ETIG - Enginyeria del Programari', '2015-06-01 00:00:00.000', '2016-06-01', '2015-06-13', 2, NULL, NULL, 0)
SET IDENTITY_INSERT [dbo].[Classrooms] OFF

-- Add 11 rows to [dbo].[Users]
SET IDENTITY_INSERT [dbo].[Users] ON
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (2, N'admin@uoc.test', N'y5AZNSaWSN/Hpt03NFEtmA==', N'A', N'Administrador', N'Administrador', '2015-03-25 00:00:00.000', NULL, '2015-05-25 17:03:32.143', 2, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (16, N'professor@uoc.test', N'y5AZNSaWSN/Hpt03NFEtmA==', N'T', N'Professor', N'Professor', '2015-03-26 21:53:56.853', 2, '2015-06-05 22:33:17.440', 2, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (31, N'estudiant@uoc.test', N'y5AZNSaWSN/Hpt03NFEtmA==', N'S', N'Estudiant', N'Estudiant', '2015-05-17 22:35:57.177', 2, '2015-05-17 22:36:04.150', 2, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (65, N'test@test.com', N'oXUQIs+1sGPlAWFTrA8YIA==', N'S', N'test', N'test', '2015-06-13 02:13:13.240', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (66, N'dani_alves@uoc.test', N's2m/TFy5XnbpR+GuP6ElrA==', N'S', N'Dani', N'Alves', '2015-06-13 13:20:59.140', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (67, N'leo_messi@uoc.test', N'xEGNAPyh+/S9hGlV/Yb31Q==', N'S', N'Leo', N'Messi', '2015-06-13 13:21:26.457', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (68, N'andres_iniesta@uoc.test', N'y8QwGotFdFWgB/k5H3eJIQ==', N'S', N'Andrs', N'Iniestra', '2015-06-13 13:21:43.640', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (69, N'xavi@uoc.test', N'MzyAWuZ+g91xYppwGkVzhQ==', N'S', N'Xavi', N'Hernandez', '2015-06-13 13:22:02.890', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (70, N'guardional@uoc.test', N'XbUcUqBV86qf4aQBZHXYRg==', N'T', N'Josep', N'Guardiona', '2015-06-13 13:22:20.160', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (71, N'carles_rexac@uoc.test', N'KH7FQiVAU55PPbX3qOgd1g==', N'T', N'Carles', N'Rexac', '2015-06-13 13:22:39.463', 2, NULL, NULL, 0)
INSERT INTO [dbo].[Users] ([UserId], [UserName], [Password], [UserType], [FirstName], [LastName], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (72, N'sergi_busquets@uoc.test', N'Sl7f1pfrl0qz00q29ZgYxg==', N'T', N'Sergi', N'Busquets', '2015-06-13 13:23:06.130', 2, NULL, NULL, 0)
SET IDENTITY_INSERT [dbo].[Users] OFF

-- Add 9 rows to [dbo].[Classrooms_Users]
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (41, 16)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (41, 31)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (42, 31)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (43, 16)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (43, 31)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (44, 65)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (45, 65)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (46, 16)
INSERT INTO [dbo].[Classrooms_Users] ([ClassroomId], [UserId]) VALUES (46, 31)

-- Add 41 rows to [dbo].[Questions]
SET IDENTITY_INSERT [dbo].[Questions] ON
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (154, N'<p>Quines de les seg&uuml;ents adreces IP s&oacute;n v&agrave;lides?</p>
', N'M', 11, N'P', NULL, NULL, '2015-06-05 22:45:23.383', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (155, N'<p>Mira la imatge de sota, quants sockets creus que hi ha en el servidor?</p>
', N'O', 11, N'P', N'Sockets.png', N'', '2015-06-05 22:52:19.843', 16, '2015-06-05 23:06:45.063', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (156, N'<p>Convertiu l&#39;adre&ccedil;a <strong>200.66.16.0/22</strong> a format binari</p>

<p><em>(Nota: Feu servir nom&eacute;s <strong>1 </strong>i <strong>0</strong>, sense separadors)</em></p>
', N'F', 11, N'P', NULL, NULL, '2015-06-05 23:11:08.250', 16, '2015-06-05 23:16:55.230', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (157, N'<p><strong>&iquest;Qu&eacute; alumbrado llevar&aacute; encendido una motocicleta durante el d&iacute;a?</strong></p>
', N'O', 12, N'P', N'0002.jpg', N'', '2015-06-05 23:49:40.100', 16, '2015-06-05 23:52:29.373', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (158, N'<p><strong>&iquest;Puede realizar un cambio de sentido en un lugar donde est&eacute; prohibido adelantar?</strong></p>
', N'O', 12, N'P', N'0001.jpg', N'', '2015-06-05 23:53:23.493', 16, '2015-06-05 23:55:06.023', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (159, N'<p><strong>&iquest;D&oacute;nde est&aacute; permitido que viaje un ni&ntilde;o que no alcance los 135 cent&iacute;metros de estatura?</strong></p>
', N'O', 12, N'P', N'0003.jpg', N'', '2015-06-05 23:55:32.307', 16, '2015-06-05 23:57:11.810', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (160, N'<p><strong>Con esta se&ntilde;alizaci&oacute;n, &iquest;a qu&eacute; velocidad debe circular?</strong></p>
', N'O', 12, N'P', N'0004.jpg', N'', '2015-06-05 23:58:25.160', 16, '2015-06-06 00:00:42.023', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (161, N'<p><strong>Una l&iacute;nea blanca continua sobre la calzada, sensiblemente m&aacute;s ancha que en el caso general...</strong></p>
', N'O', 12, N'P', N'0016.jpg', N'', '2015-06-06 00:01:09.267', 16, '2015-06-06 00:04:52.693', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (162, N'<p><strong>En esta situaci&oacute;n, &iquest;qu&eacute; debe hacer si va a girar a la izquierda?</strong></p>
', N'O', 12, N'P', N'0033.jpg', N'', '2015-06-06 00:09:47.187', 16, '2015-06-06 00:10:40.413', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (163, N'<p><strong>Esta se&ntilde;al indica peligro por la proximidad de...</strong></p>
', N'O', 12, N'P', N'p15b.jpg', N'', '2015-06-06 00:22:02.497', 16, '2015-06-06 00:26:24.160', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (164, N'<p><strong>&nbsp;&iquest;Cu&aacute;l debe ser su comportamiento al ceder el paso?</strong></p>
', N'O', 12, N'P', N'g0012.jpg', N'', '2015-06-06 00:27:06.683', 16, '2015-06-06 00:28:07.723', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (165, N'<p><strong>.</strong><strong>&nbsp;&iquest;A qu&eacute; velocidad m&aacute;xima tiene permitido circular una autocaravana en una autov&iacute;a?</strong></p>
', N'O', 12, N'P', N'0011.jpg', N'', '2015-06-06 00:28:18.763', 16, '2015-06-06 00:28:52.700', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (166, N'<p><strong>&nbsp;Al auxiliar a una v&iacute;ctima de un accidente de tr&aacute;fico, &iquest;debe darle alimentos o bebidas?</strong></p>
', N'O', 12, N'P', NULL, NULL, '2015-06-06 00:29:15.863', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (167, N'<p><strong>Si nos vemos obligados a frenar durante el trazado de una curva, debemos utilizar...</strong></p>
', N'O', 12, N'E', N'0791.jpg', N'', '2015-06-06 00:33:38.390', 16, '2015-06-06 00:34:27.960', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (168, N'<p><strong>Que Concilio Ecum&eacute;nico resolvi&oacute; acabar con el Gran Cisma de Occidente?</strong></p>
', N'O', 13, N'P', NULL, NULL, '2015-06-09 23:32:16.643', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (169, N'<p><strong>La Gran Muralla China fue considerada por los Griegos como una Maravilla del Mundo</strong></p>
', N'O', 13, N'P', NULL, NULL, '2015-06-09 23:33:02.547', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (170, N'<p><strong>El Sputnik fue lanzado al Espacio por la Uni&oacute;n Sovi&eacute;tica (URSS) en 1957.</strong></p>
', N'O', 13, N'P', NULL, NULL, '2015-06-09 23:33:37.087', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (171, N'<p><strong>Ana de Austria es a Luis XIII como Mar&iacute;a Leszczynska es a...</strong></p>
', N'O', 13, N'P', NULL, NULL, '2015-06-09 23:34:46.917', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (172, N'<p><strong>&iquest;Qui&eacute;n descubri&oacute; Am&eacute;rica?</strong></p>
', N'F', 13, N'P', NULL, NULL, '2015-06-09 23:36:54.877', 16, '2015-06-09 23:37:18.450', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (173, N'<p><strong>&iquest;En cu&aacute;ntos estamentos se divide la pir&aacute;mide feudal?</strong></p>
', N'F', 13, N'P', NULL, NULL, '2015-06-09 23:37:11.403', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (174, N'<p><strong>&iquest;Despu&eacute;s de qu&eacute; monarca se instaura la primera rep&uacute;blica espa&ntilde;ola?</strong></p>
', N'F', 13, N'P', NULL, NULL, '2015-06-09 23:37:38.527', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (175, N'<p>&iquest;<strong>C&oacute;mo se llam&oacute; al tratado firmado en 1700?</strong></p>
', N'O', 13, N'P', NULL, NULL, '2015-06-09 23:42:41.863', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (176, N'<p><strong>&iquest;A qui&eacute;n venci&oacute; el rey Carlos I en 1571 en la batalla de Lepanto?</strong></p>
', N'O', 13, N'P', NULL, NULL, '2015-06-09 23:44:56.483', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (177, N'<p>Pregutna numero 1</p>
', N'O', 13, N'E', NULL, NULL, '2015-06-12 22:48:44.837', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (178, N'<p>Prova esborrada 3</p>
', N'O', 12, N'E', N'0791.jpg', N'', '2015-06-12 22:49:16.543', 16, '2015-06-12 23:02:19.687', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (188, N'<p>dasd</p>
', N'O', 12, N'E', N'', N'', '2015-06-12 22:59:42.733', 16, '2015-06-12 23:00:19.130', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (193, N'<p>Pregutna de prova</p>
', N'M', 12, N'E', N'0791.jpg', N'', '2015-06-12 23:10:48.803', 16, '2015-06-12 23:33:32.687', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (194, N'<h2 style="font-style:normal; text-align:justify">&iquest;Qu&eacute; famoso cient&iacute;fico naci&oacute;n en Como (Italia)?</h2>
', N'O', 15, N'E', NULL, NULL, '2015-06-12 23:38:48.127', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (195, N'<h2 style="font-style:normal; text-align:justify">&iquest;Cu&aacute;l no es un dispositivo de salida?</h2>
', N'O', 15, N'E', NULL, NULL, '2015-06-12 23:40:07.463', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (196, N'<h2 style="font-style:normal; text-align:justify">T&eacute;rmino aplicado a las obras en las que predomina la tendencia monumental r&iacute;gida y majestuosa</h2>
', N'O', 15, N'E', NULL, NULL, '2015-06-12 23:41:17.870', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (197, N'<h1>&nbsp;&iquest;Qui&eacute;n es el autor de &quot;El Principito&quot;?</h1>
', N'O', 15, N'E', NULL, NULL, '2015-06-13 00:22:38.187', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (198, N'<h2>&iquest;Qu&eacute; pintor pint&oacute; &eacute;ste cuadro?</h2>
', N'O', 15, N'E', N'350px-Van_Gogh_-_Starry_Night_-_Google_Art_Project.jpg', N'', '2015-06-13 00:27:38.123', 16, '2015-06-13 00:30:48.027', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (199, N'<p>ffaas</p>
', N'O', 12, N'E', N'350px-Van_Gogh_-_Starry_Night_-_Google_Art_Project.jpg', N'', '2015-06-13 00:45:49.580', 16, '2015-06-13 00:49:27.560', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (200, N'<p>asd</p>
', N'O', 12, N'E', NULL, NULL, '2015-06-13 00:49:58.390', 16, '2015-06-13 00:51:22.247', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (201, N'<p>assad</p>
', N'O', 12, N'E', N'', N'', '2015-06-13 00:51:37.087', 16, '2015-06-13 00:52:45.773', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (202, N'<p>asdsdas</p>
', N'O', 12, N'E', NULL, N'', '2015-06-13 00:57:26.460', 16, '2015-06-13 00:58:13.563', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (203, N'<p>Test</p>
', N'O', 12, N'P', NULL, NULL, '2015-06-13 02:08:53.770', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (204, N'<p>&nbsp;</p>

<p>Mireu la imatge de sota, q&uuml;ents atributs t&eacute; la classe <strong>A</strong>?</p>
', N'O', 18, N'E', N'etig1.png', N'', '2015-06-13 13:35:06.643', 16, '2015-06-13 13:39:02.773', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (205, N'<p>&nbsp;</p>

<p>En quants projectes pot partipar un empleat en el disseny seg&uuml;ent?</p>
', N'O', 18, N'E', N'etig2.png', N'', '2015-06-13 13:40:34.677', 16, '2015-06-13 13:41:29.090', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (206, N'<p>&nbsp;</p>

<p>Donat el seg&uuml;ent diagrama de classes en UML,Pot haver un festiu que no estigui associat a cap dia Feiner?</p>

<p>&nbsp;</p>

<p>&nbsp;</p>
', N'O', 18, N'E', N'etig1.png', N'', '2015-06-13 13:42:36.110', 16, '2015-06-13 13:43:46.727', 16, 0)
INSERT INTO [dbo].[Questions] ([QuestionId], [QuestionDescription], [AnswersType], [CategoryId], [EditStatus], [ImageResource], [SoundResource], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (207, N'<p>&nbsp;</p>

<p>Donat el seg&uuml;ent diagrama de classes UML, les inst&agrave;ncies de B, &iquest;formen part de, com a molt, una inst&agrave;ncia de A i tota inst&agrave;ncia d&#39;A pot tenir o no qualsevol nombre d&#39;inst&agrave;ncies de B?</p>

<p>&nbsp;</p>
', N'O', 18, N'E', NULL, NULL, '2015-06-13 14:57:23.380', 16, NULL, NULL, 0)
SET IDENTITY_INSERT [dbo].[Questions] OFF

-- Add 13 rows to [dbo].[Tests]
SET IDENTITY_INSERT [dbo].[Tests] ON
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (55, N'Xarxes, aplicacions i protocols d''internet', N'<p>Aquesta prova capacita l&#39;estudiant per a con&egrave;ixer els conceptes b&agrave;sics i principals aplicacions de la xarxa Internet, fent especial &egrave;mfasi en el web<br />
, aix&iacute; com conceptes b&agrave;sics de seguretat a Internet.</p>

<p>&nbsp;</p>

<p>&nbsp;</p>
', 3, 1, 5, N'A', N'P', '2015-06-05 22:44:31.613', 16, '2015-06-13 00:39:46.393', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (56, N'Carnet de conduir B1 - Test 1', N'', 1, 10, 5, N'T', N'P', '2015-06-05 23:49:19.857', 16, '2015-06-06 00:36:38.563', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (57, N'Test de moto A1/A2', N'', 1, 10, 1, N'T', N'E', '2015-06-06 00:33:20.737', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (58, N'Seguretat Anti-XSS', N'<p>&lt;script&gt; alert(&#39;XSS script&#39;)&lt;/script&gt;</p>

<p>&nbsp;</p>

<pre style="text-align:start">
%3cscript%3ealert(document.cookie)%3c/script%3e</pre>

<p>&nbsp;</p>

<p>&nbsp;</p>
', 1, 1, 1, N'A', N'E', '2015-06-07 21:38:27.113', 16, '2015-06-07 22:22:25.223', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (59, N'Historia', N'', 3, 3, 3, N'T', N'P', '2015-06-09 23:31:27.673', 16, '2015-06-09 23:57:37.943', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (60, N'Prova esborrada', N'<p><span style="font-size:72px"><span style="color:rgb(255, 0, 0)">Aquesta prova est&agrave; esborrada</span></span></p>
', 1, 1, 1, N'A', N'E', '2015-06-12 22:45:28.330', 16, '2015-06-12 22:46:13.420', 16, 1)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (61, N'Trivial - Popurr', N'<h1>Diverses preguntes de Trivial Pursuit amb tem&agrave;tica variada.</h1>
', 10, 3, 3, N'T', N'E', '2015-06-12 22:46:40.203', 16, '2015-06-12 23:38:29.650', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (62, N'Prova esborrada 3', N'<p>Prova esborrada 3</p>
', 1, 1, 1, N'A', N'E', '2015-06-12 22:47:12.320', 16, '2015-06-13 01:31:07.093', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (63, N'Trivial - Msica', N'', 1, 1, 1, N'A', N'E', '2015-06-12 22:48:21.470', 16, '2015-06-12 23:44:08.027', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (64, N'Test Prova', N'<h1><span style="font-family:comic sans ms,cursive">&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova&nbsp;Test Prova Test Prova</span></h1>
', 2, 3, 1, N'T', N'E', '2015-06-13 01:48:30.913', 16, NULL, NULL, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (65, N'Test', N'<p>Test</p>
', 1000, 2, 4, N'A', N'P', '2015-06-13 02:08:45.510', 16, '2015-06-13 02:09:22.970', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (66, N'Test22Test22Test22Test22', N'<p>Test22Test22Test22Test22</p>
', 1, 1, 1, N'A', N'P', '2015-06-13 02:09:54.727', 16, '2015-06-13 02:10:34.530', 16, 0)
INSERT INTO [dbo].[Tests] ([TestId], [TestName], [TestDescription], [MaxAttempts], [QuestionsPerPage], [ResolutionMaxMinutes], [EvaluationType], [EditStatus], [CreatedDate], [CreatedBy], [UpdatedDate], [UpdatedBy], [IsDeleted]) VALUES (67, N'Enginyeria del programari - PAC 1', N'<h1 style="border: 1px solid rgb(204, 204, 204); padding: 5px 10px; background: rgb(238, 238, 238);">Enginyeria del Programari PAC1 &ndash; Prova d&#39;Avaluaci&oacute; Continuada 1</h1>

<p><br />
<em>Per a dubtes i aclariments sobre l&#39;enunciat, us haureu de dirigir al consultor&nbsp;responsable de l&#39;aula</em>.</p>

<p>&nbsp;</p>

<p>&nbsp;</p>

<p>&nbsp;</p>
', 1, 1, 5, N'A', N'E', '2015-06-13 13:34:18.437', 16, NULL, NULL, 0)
SET IDENTITY_INSERT [dbo].[Tests] OFF

-- Add 97 rows to [dbo].[Answers]
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (154, 1, N'adreca@test.com', N'', N'Aquesta s una adrea de correu, no pas una IP', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (154, 2, N'1234.123.12.40', N'', N'Incorrecte, aquesta no s una adrea vlida.', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (154, 3, N'10.10.2.6', N'Molt b!', N'Aquesta s una adrea vlida', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (154, 4, N'-12.5.1.1', N'', N'La adrea s incorrecta.', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (155, 1, N'1', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (155, 2, N'2', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (155, 3, N'3', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (156, 1, N'', N'Correcte', N'Incorrecte', N'11001000010000100001000000000000')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (157, 1, N'El de corto alcance o cruce.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (157, 2, N'El de posicin o el de corto alcance', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (157, 3, N'Ninguno', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (158, 1, N'S, excepto entre la puesta y la salida de sol, porque disminuye la visibilidad.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (158, 2, N'No, salvo que el cambio de sentido est expresamente autorizado.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (158, 3, N'S, cuando la circulacin en sentido contrario lo permita.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (159, 1, N'En cualquiera de los asientos traseros utilizando el cinturn para adultos.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (159, 2, N'En un asiento delantero o trasero, utilizando siempre el cinturn de seguridad para adultos.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (159, 3, N'En un asiento delantero o trasero utilizando siempre un dispositivo de retencin homologado en funcin de su talla y peso.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (160, 1, N'Obligatoriamente a 30 km/h.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (160, 2, N'Al menos a 30 km/h.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (160, 3, N'A 30 km/h, como recomendacin, durante el tramo que subsista el peligro.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (161, 1, N' indica la existencia de un carril especial.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (161, 2, N'sirve para delimitar, nicamente, los carriles bus', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (161, 3, N'indica el borde de la calzada.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (162, 1, N' Continuar, obedeciendo al semforo de la derecha.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (162, 2, N'Detenerse, obedeciendo al semforo situado a la izquierda.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (162, 3, N'Slo detenerse si hay peatones cruzando.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (163, 1, N'una va en mal estado.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (163, 2, N'un badn en la va.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (163, 3, N'un resalto en la va.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (164, 1, N'Detenerse en las intersecciones si se acerca otro vehculo.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (164, 2, N'Parar y comprobar si otro usuario de la va tiene prioridad.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (164, 3, N'No obligar al vehculo que tiene prioridad a modificar bruscamente su trayectoria o velocidad.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (165, 1, N'A 100 km/h.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (165, 2, N'A 90 km/h.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (165, 3, N' A 100 km/h, pudiendo superarla en 20 km/h para adelantar.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (166, 1, N'S, si lo piden.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (166, 2, N'No.', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (166, 3, N'Alimentos no, pero bebidas s.', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (168, 1, N'De Trento', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (168, 2, N'De Nicea', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (168, 3, N'De Efeso', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (168, 4, N'De Constanza', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (169, 1, N' Verdadero', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (169, 2, N'Falso', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (170, 1, N'Verdadero', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (170, 2, N'Falso', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (171, 1, N'Luis XIV', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (171, 2, N'Luis XV', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (171, 3, N'Felipe IV de Espaa', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (171, 4, N'Vctor Amadeo I de Saboya', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (172, 1, N'', N'', N'', N'Cristobal Colon')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (173, 1, N'', N'', N'', N'3')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (174, 1, N'', N'', N'', N'Alfonso XIII')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (175, 1, N' Tratado de Mastricht', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (175, 2, N' Tratado de Utrecht', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (175, 3, N'Tratado de Flandes', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (175, 4, N'Tratado de Strasburgo', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (176, 1, N'A los turcos', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (176, 2, N'A los franceses', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (176, 3, N' A los luteranos', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (176, 4, N'A los alemanes', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (193, 1, N'1', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (193, 2, N'2', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (193, 3, N'3', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (193, 4, N'4', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (194, 1, N'Newton', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (194, 2, N'Tesla', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (194, 3, N'Bell', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (194, 4, N'Volta', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (195, 1, N'Impresora', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (195, 2, N'Teclado', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (195, 3, N'Monitor', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (195, 4, N'Modem', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (196, 1, N'Mita', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (196, 2, N'Pial', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (196, 3, N'Hieratismo', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (196, 4, N'Herald', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (197, 1, N'Antoine de Saint-Exupry', N'S, la obra fue publicada en abril de 1943', N'Incorrecta', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (197, 2, N'Manuel de Pedrolo', N'', N'No, la reposta correcta s Antoine de Saint-Exupry', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (198, 1, N'Picasso', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (198, 2, N'Vincent van Gogh', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (198, 3, N'Monet', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (199, 1, N'asdasd', N'dasd', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (201, 1, N'dasdas', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (201, 2, N'dasdas', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (202, 1, N'dfsf', N'asdasd', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (203, 1, N'Test', N'', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (203, 2, N'Test', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (203, 3, N'Test', N'', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (203, 4, N'v', N'', N'vTest', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (204, 1, N'Cap', N'', N'No, la classe s que t atributs definits', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (204, 2, N'Dos', N'', N'Incorrecte, t dues operacions per tres atributs', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (204, 3, N'Tres', N'Correcte! Sn a1,a2 i a3', N'', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (205, 1, N'En molts', N'Correcte, pot participar en N projectes', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (205, 2, N'En cap', N'', N'Incorrecte, hi ha una rel.laci d''un a molts', N'False')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (206, 1, N'No, tota instncia de Festiu ha destar relacionada amb una i noms una de Feiner.', N'Correcte!', N'', N'True')
INSERT INTO [dbo].[Answers] ([QuestionId], [AnswerNumber], [AnswerDescription], [IsCorrectHint], [IsIncorrectHint], [correctValue]) VALUES (206, 2, N'S, es pot donar el cas', N'', N'Incorrete, tota instncia de Festiu ha destar relacionada amb una i noms una de Feiner', N'False')

-- Add 4 rows to [dbo].[Classrooms_Tests]
INSERT INTO [dbo].[Classrooms_Tests] ([ClassroomId], [TestId], [StartDate], [EndDate]) VALUES (41, 55, '2015-06-01 00:00:00.000', '2017-06-30 00:00:00.000')
INSERT INTO [dbo].[Classrooms_Tests] ([ClassroomId], [TestId], [StartDate], [EndDate]) VALUES (42, 56, '2015-06-01 00:00:00.000', '2015-12-30 00:00:00.000')
INSERT INTO [dbo].[Classrooms_Tests] ([ClassroomId], [TestId], [StartDate], [EndDate]) VALUES (42, 65, '2015-06-17 00:00:00.000', '2015-06-29 00:00:00.000')
INSERT INTO [dbo].[Classrooms_Tests] ([ClassroomId], [TestId], [StartDate], [EndDate]) VALUES (43, 59, '2015-06-01 00:00:00.000', '2016-06-30 00:00:00.000')

-- Add 45 rows to [dbo].[Tests_Questions]
SET IDENTITY_INSERT [dbo].[Tests_Questions] ON
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (153, 55, 154, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (154, 55, 155, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (155, 55, 156, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (156, 56, 157, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (157, 56, 158, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (158, 56, 159, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (159, 56, 160, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (160, 56, 161, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (161, 56, 162, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (162, 56, 163, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (163, 56, 164, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (164, 56, 165, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (165, 56, 166, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (166, 57, 167, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (167, 59, 168, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (168, 59, 169, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (169, 59, 170, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (170, 59, 171, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (171, 59, 172, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (172, 59, 173, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (173, 59, 174, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (174, 59, 175, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (175, 59, 176, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (193, 62, 157, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (194, 62, 158, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (195, 62, 159, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (196, 62, 193, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (197, 61, 194, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (198, 61, 195, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (199, 61, 196, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (200, 61, NULL, 13)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (201, 61, 197, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (202, 61, 198, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (206, 63, 202, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (207, 65, 203, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (208, 66, 203, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (209, 66, 158, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (210, 66, 159, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (211, 66, 160, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (212, 66, 161, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (213, 66, NULL, 13)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (214, 67, 204, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (215, 67, 205, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (216, 67, 206, NULL)
INSERT INTO [dbo].[Tests_Questions] ([TestQuestionId], [TestId], [QuestionId], [CategoryId]) VALUES (217, 67, 207, NULL)
SET IDENTITY_INSERT [dbo].[Tests_Questions] OFF

-- Add 7 rows to [dbo].[Attempts]
SET IDENTITY_INSERT [dbo].[Attempts] ON
INSERT INTO [dbo].[Attempts] ([AttemptId], [ClassroomId], [TestId], [UserId], [StartDate], [EndDate], [Score]) VALUES (263, 43, 59, 31, '2015-06-10 01:01:31.997', '2015-06-10 01:01:52.067', N'5,56')
INSERT INTO [dbo].[Attempts] ([AttemptId], [ClassroomId], [TestId], [UserId], [StartDate], [EndDate], [Score]) VALUES (264, 42, 56, 31, '2015-06-10 01:02:17.267', '2015-06-10 01:02:30.080', N'4,00')
INSERT INTO [dbo].[Attempts] ([AttemptId], [ClassroomId], [TestId], [UserId], [StartDate], [EndDate], [Score]) VALUES (265, 43, 59, 31, '2015-06-10 01:03:27.867', '2015-06-10 01:03:33.040', N'0,00')
INSERT INTO [dbo].[Attempts] ([AttemptId], [ClassroomId], [TestId], [UserId], [StartDate], [EndDate], [Score]) VALUES (266, 43, 59, 31, '2015-06-10 01:03:56.737', '2015-06-10 01:04:00.227', N'0,00')
INSERT INTO [dbo].[Attempts] ([AttemptId], [ClassroomId], [TestId], [UserId], [StartDate], [EndDate], [Score]) VALUES (267, 41, 55, 31, '2015-06-13 00:40:47.320', '2015-06-13 00:40:58.913', N'B')
INSERT INTO [dbo].[Attempts] ([AttemptId], [ClassroomId], [TestId], [UserId], [StartDate], [EndDate], [Score]) VALUES (268, 41, 55, 31, '2015-06-13 00:41:15.500', '2015-06-13 00:41:32.800', N'D')
INSERT INTO [dbo].[Attempts] ([AttemptId], [ClassroomId], [TestId], [UserId], [StartDate], [EndDate], [Score]) VALUES (269, 41, 55, 31, '2015-06-13 01:31:33.693', '2015-06-13 01:32:07.117', N'D')
SET IDENTITY_INSERT [dbo].[Attempts] OFF

-- Add 46 rows to [dbo].[Attempts_Questions]
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 168, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 169, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 170, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 171, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 172, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 173, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 174, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 175, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (263, 176, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 157, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 158, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 159, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 160, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 161, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 162, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 163, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 164, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 165, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (264, 166, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 168, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 169, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 170, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 171, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 172, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 173, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 174, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 175, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (265, 176, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 168, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 169, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 170, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 171, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 172, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 173, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 174, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 175, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (266, 176, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (267, 154, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (267, 155, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (267, 156, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (268, 154, 1)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (268, 155, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (268, 156, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (269, 154, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (269, 155, 0)
INSERT INTO [dbo].[Attempts_Questions] ([AttemptID], [QuestionId], [Result]) VALUES (269, 156, 0)

-- Add 28 rows to [dbo].[Attempts_Questions_Answers]
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 168, 1, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 169, 2, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 170, 1, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 171, 2, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 172, 1, N'Cristobal colon')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 173, 1, N'2')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 174, 1, N'1')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 175, 4, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (263, 176, 1, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 157, 1, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 158, 3, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 159, 3, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 160, 3, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 161, 2, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 162, 3, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 163, 2, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 164, 1, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 165, 1, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (264, 166, 1, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (265, 172, 1, N'')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (265, 173, 1, N'')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (265, 174, 1, N'')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (266, 172, 1, N'')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (266, 173, 1, N'')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (266, 174, 1, N'')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (267, 154, 3, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (267, 155, 2, N'True')
INSERT INTO [dbo].[Attempts_Questions_Answers] ([AttemptId], [QuestionId], [AnswerNumber], [attemptValue]) VALUES (267, 156, 1, N'121212211')

-- Add constraints to [dbo].[Attempts_Questions_Answers]
ALTER TABLE [dbo].[Attempts_Questions_Answers] ADD CONSTRAINT [FK_Attempts_Questions_Answers_Answers] FOREIGN KEY ([QuestionId], [AnswerNumber]) REFERENCES [dbo].[Answers] ([QuestionId], [AnswerNumber])
ALTER TABLE [dbo].[Attempts_Questions_Answers] ADD CONSTRAINT [FK_Attempts_Questions_Answers_Attempts_Questions] FOREIGN KEY ([AttemptId], [QuestionId]) REFERENCES [dbo].[Attempts_Questions] ([AttemptID], [QuestionId])

-- Add constraints to [dbo].[Attempts_Questions]
ALTER TABLE [dbo].[Attempts_Questions] ADD CONSTRAINT [FK_Attempts_Questions_Attempts] FOREIGN KEY ([AttemptID]) REFERENCES [dbo].[Attempts] ([AttemptId])

-- Add constraints to [dbo].[Attempts]
ALTER TABLE [dbo].[Attempts] ADD CONSTRAINT [FK_Attempts_Classroom_Users] FOREIGN KEY ([ClassroomId], [UserId]) REFERENCES [dbo].[Classrooms_Users] ([ClassroomId], [UserId])
ALTER TABLE [dbo].[Attempts] ADD CONSTRAINT [FK_Attempts_Classrooms_Tests] FOREIGN KEY ([ClassroomId], [TestId]) REFERENCES [dbo].[Classrooms_Tests] ([ClassroomId], [TestId])

-- Add constraints to [dbo].[Tests_Questions]
ALTER TABLE [dbo].[Tests_Questions] ADD CONSTRAINT [FK_Tests_Questions_Categories] FOREIGN KEY ([CategoryId]) REFERENCES [dbo].[Categories] ([CategoryId])
ALTER TABLE [dbo].[Tests_Questions] ADD CONSTRAINT [FK_Tests_Questions_Questions] FOREIGN KEY ([QuestionId]) REFERENCES [dbo].[Questions] ([QuestionId])
ALTER TABLE [dbo].[Tests_Questions] ADD CONSTRAINT [FK_Tests_Questions_Tests] FOREIGN KEY ([TestId]) REFERENCES [dbo].[Tests] ([TestId])

-- Add constraints to [dbo].[Classrooms_Tests]
ALTER TABLE [dbo].[Classrooms_Tests] ADD CONSTRAINT [FK_Classrooms_Tests_Classrooms] FOREIGN KEY ([ClassroomId]) REFERENCES [dbo].[Classrooms] ([ClassroomId])
ALTER TABLE [dbo].[Classrooms_Tests] ADD CONSTRAINT [FK_Classrooms_Tests_Tests] FOREIGN KEY ([TestId]) REFERENCES [dbo].[Tests] ([TestId])

-- Add constraints to [dbo].[Answers]
ALTER TABLE [dbo].[Answers] ADD CONSTRAINT [FK_Answers_Questions] FOREIGN KEY ([QuestionId]) REFERENCES [dbo].[Questions] ([QuestionId])

-- Add constraints to [dbo].[Tests]
ALTER TABLE [dbo].[Tests] ADD CONSTRAINT [FK_Tests_Users] FOREIGN KEY ([CreatedBy]) REFERENCES [dbo].[Users] ([UserId])
ALTER TABLE [dbo].[Tests] ADD CONSTRAINT [FK_Tests_Users1] FOREIGN KEY ([UpdatedBy]) REFERENCES [dbo].[Users] ([UserId])

-- Add constraints to [dbo].[Questions]
ALTER TABLE [dbo].[Questions] ADD CONSTRAINT [FK_Questions_Categories] FOREIGN KEY ([CategoryId]) REFERENCES [dbo].[Categories] ([CategoryId])
ALTER TABLE [dbo].[Questions] ADD CONSTRAINT [FK_Questions_Users] FOREIGN KEY ([CreatedBy]) REFERENCES [dbo].[Users] ([UserId])
ALTER TABLE [dbo].[Questions] ADD CONSTRAINT [FK_Questions_Users1] FOREIGN KEY ([UpdatedBy]) REFERENCES [dbo].[Users] ([UserId])

-- Add constraints to [dbo].[Classrooms_Users]
ALTER TABLE [dbo].[Classrooms_Users] ADD CONSTRAINT [FK_Classroom_Users_Users] FOREIGN KEY ([UserId]) REFERENCES [dbo].[Users] ([UserId])

-- Add constraint FK_Log_Users to [dbo].[Log]
ALTER TABLE [dbo].[Log] WITH NOCHECK ADD CONSTRAINT [FK_Log_Users] FOREIGN KEY ([CreatedBy]) REFERENCES [dbo].[Users] ([UserId])

COMMIT TRANSACTION
GO

-- Reseed identity on [dbo].[Attempts]
DBCC CHECKIDENT('[dbo].[Attempts]', RESEED, 269)
GO

-- Reseed identity on [dbo].[Tests_Questions]
DBCC CHECKIDENT('[dbo].[Tests_Questions]', RESEED, 217)
GO

-- Reseed identity on [dbo].[Tests]
DBCC CHECKIDENT('[dbo].[Tests]', RESEED, 67)
GO

-- Reseed identity on [dbo].[Questions]
DBCC CHECKIDENT('[dbo].[Questions]', RESEED, 207)
GO

-- Reseed identity on [dbo].[Users]
DBCC CHECKIDENT('[dbo].[Users]', RESEED, 72)
GO

-- Reseed identity on [dbo].[Classrooms]
DBCC CHECKIDENT('[dbo].[Classrooms]', RESEED, 46)
GO

-- Reseed identity on [dbo].[Categories]
DBCC CHECKIDENT('[dbo].[Categories]', RESEED, 18)
GO