﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;

namespace AutoProofreader.UI
{
    public abstract class EditPageBase : PageBase
    {
        protected abstract void InitData();

        protected abstract void LoadData();

        protected abstract void LoadControls();


        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
        }

        protected override void OnLoad(EventArgs e)
        {
            InitData();

            if (! Page.IsPostBack)
            {
                LoadData();
                LoadControls();                
            }

            base.OnLoad(e);            
        }

        protected override void OnPreRender(EventArgs e)
        {
            DisableSubmitOnEnter();

            base.OnPreRender(e);
        }


        protected override void OnPreRenderComplete(EventArgs e)
        {
            base.OnPreRenderComplete(e);
        }
    }
}
