﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Security;

namespace AutoProofreader.UI
{
    public abstract class PageBase: Page
    {
        protected abstract UserType pageUserType
        {
            get;
        }

        public SecurityProvider securityProvider;

        protected override void OnPreInit(EventArgs e)
        {
            this.securityProvider = new SecurityProvider();
            if (this.securityProvider.GetCurrentUserSession() == null)
            {
                RedirectTo("~/Default.aspx?reason=expired");
            }
            else
            {
                this.securityProvider.CheckUserType(pageUserType);
            }

            this.Page.Title = "Corrector automàtic de la UOC";

            base.OnPreInit(e);
        }

        
        protected void RedirectTo(string url)
        {
            Response.Redirect(url);
            Response.End();
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
        }

        protected void DisableSubmitOnEnter()
        {
            //Disable submit on enter keypress
            StringBuilder js = new StringBuilder();
            js.Append("$('form').on('keyup keypress', function(e) {");
            js.Append("var code = e.keyCode || e.which; ");
            js.Append("if (code  == 13) {");
            js.Append("e.preventDefault();");
            js.Append("return false;");
            js.Append("}");
            js.Append("});");

            ScriptManager.RegisterStartupScript(this.Page, this.GetType(), "disableSubmit", js.ToString(), true);
        }



    }
}
