﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web;
using System.Web.UI.HtmlControls;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace AutoProofreader.UI.WebControls
{
    public class AprCheckBox : WebControl, INamingContainer
    {
        private HtmlGenericControl label;
        private CheckBox checkbox;

        public bool Checked
        {
            get
            {
                return  ! string.IsNullOrEmpty(this.Page.Request.Form[this.checkbox.UniqueID]);
            }
            set
            {
                this.checkbox.Checked = value;
            }
        }

        public bool AutoPostBack
        {
            get
            {
                return this.checkbox.AutoPostBack;
            }
            set
            {
                this.checkbox.AutoPostBack = value;
            }
        }

        public string Text;

        public event EventHandler CheckedChanged;


        public AprCheckBox()
        {
            this.checkbox = new CheckBox();
            this.label = new HtmlGenericControl("label");
        }

        protected override void OnInit(EventArgs e)
        {
            this.checkbox.ID = "chk_" + this.ID;
            this.label.Attributes.Add("class", "css-checkbox");

            this.checkbox.InputAttributes.Add("class", "css-checkbox");
            this.checkbox.CheckedChanged += CheckedChanged;
            this.Controls.Add(checkbox);
            this.Controls.Add(label);

            base.OnInit(e);

        }

        protected override void OnPreRender(EventArgs e)
        {
            this.label.Attributes.Add("for", this.checkbox.ClientID);
            this.label.InnerHtml = Text;
            base.OnPreRender(e);
        }
    }
}
