﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace AutoProofreader.UI.WebControls
{
    public class AprDatePicker: AprTextBox
    {
        protected override void OnInit(EventArgs e)
        {
            this.CssClass = "datepicker";
            this.MaxLength=10;
            this.Width=new Unit(120, UnitType.Pixel);
        }

        public DateTime? GetDateTime()
        {
            if (this.Text != null & this.Text.Trim().Length > 0)
            {
                return DateTime.Parse(this.Text);
            }
            else
            {
                return null;
            }
        }

        public void SetDateTime(DateTime? dateTime)
        {
            if (dateTime.HasValue)
            {
                this.Text = dateTime.Value.ToString("dd/MM/yyyy");
            }
            else
            {
                this.Text= "";
            }
        }

        protected override void OnPreRender(EventArgs e)
        {
            string js = "$(function () {$('#" + this.ClientID + "').datepicker({ dateFormat: 'dd/mm/yy' });});";
           
            ScriptManager.RegisterStartupScript(this, this.GetType(), "datepicker_" + this.ClientID , js, true);

            base.OnPreRender(e);
        }

      
    }
}
