﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Web.UI;

namespace AutoProofreader.UI.WebControls
{
    public class AprUserFeedback: WebControl 
    {
        public string ValidationGroup = "";

        public ValidationSummary validationSummary;

        protected override void OnInit(EventArgs e)
        {
            if (!string.IsNullOrEmpty(this.ValidationGroup))
            {
                this.validationSummary = new ValidationSummary();
                this.validationSummary.ValidationGroup = this.ValidationGroup;
                this.validationSummary.CssClass = "validationError";
                this.validationSummary.DisplayMode = ValidationSummaryDisplayMode.BulletList;
                this.Controls.Add(validationSummary);
            }            

            base.OnInit(e);
        }

        public void ShowError(string message)
        {
            this.Visible = true;

            HtmlGenericControl htmlGenericControl = new HtmlGenericControl("p");
            htmlGenericControl.Attributes.Add("class", "alert alert_info");
            htmlGenericControl.InnerHtml = "<i class='ts_icon ts_icon_minus_circle small_right_margin'></i>";
            htmlGenericControl.InnerHtml += message;

            this.Controls.Add(htmlGenericControl);
        }

        public void ShowInfo(string message)
        {
            this.Visible = true;

            HtmlGenericControl htmlGenericControl = new HtmlGenericControl("p");
            htmlGenericControl.Attributes.Add("class", "alert alert_info");
            htmlGenericControl.InnerHtml = "<i class='ts_icon ts_icon_minus_circle small_right_margin'></i>";
            htmlGenericControl.InnerHtml += message;

            this.Controls.Add(htmlGenericControl);
        }



        public void ShowWarning(string message)
        {
            this.Visible = true;

            HtmlGenericControl htmlGenericControl = new HtmlGenericControl("p");
            htmlGenericControl.Attributes.Add("class", "alert alert_info");
            htmlGenericControl.InnerHtml = "<i class='ts_icon ts_icon_minus_circle small_right_margin'></i>";
            htmlGenericControl.InnerHtml += message;
            this.Controls.Add(htmlGenericControl);
        }

        public void ShowWarning(string message, List<string> messageList)
        {
            this.Visible = true;

            HtmlGenericControl htmlGenericControl = new HtmlGenericControl("p");
            htmlGenericControl.Attributes.Add("class", "alert alert_info");

            Literal literal = new Literal();
            literal.Text= "<i class='ts_icon ts_icon_minus_circle small_right_margin'></i>";
            literal.Text+= message + "<br/>";

            foreach (string messageInList in messageList)
            {
                literal.Text += " - " + messageInList + "<br/>"; ;
            }
            htmlGenericControl.Controls.Add(literal);

            this.Controls.Add(htmlGenericControl);
        }

    }
}
