﻿using System;
using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Security;

  namespace AutoProofreader.Tests.BusinessObjects
{
    [TestClass]
    public class AnswerTest
    {
        [ClassInitialize()]
        public static void ClassInit(TestContext context)
        {
            string userName = ConfigurationManager.AppSettings["TestUserName"];
            string password = ConfigurationManager.AppSettings["TestPassword"];
            SecurityProvider.Login(userName , password);
        }


        [TestMethod]
        public void Load()
        {
            Answer answer = new Answer();

            answer.Question = new Question();
            answer.Question.QuestionId = 1;
            answer.AnswerNumber = 1;

            Assert.IsTrue(answer.Load());
        }

         [TestMethod]
        public void Save()
        {
            Answer answer = new Answer();
            answer.Question = new Question();
            answer.Question.QuestionId = 1;
            answer.Question.AnswersType = new Enums.AnswersType(Enums.AnswersType.MultipleCorrect);
            answer.AnswerNumber = 1;
            answer.CorrectValue = "True";
            answer.IsDeleted = false;
            answer.AnswerDescription = "description";
            answer.IsCorrectHint = "correct";
            answer.IsIncorrectHint= "incorrect";
            answer.Save();

            Assert.IsTrue(answer.Exists());
        }
    }
}
