﻿using System;
using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Security;

  namespace AutoProofreader.Tests.BusinessObjects
{
    [TestClass]
    public class AttemptTest
    {
        [ClassInitialize()]
        public static void ClassInit(TestContext context)
        {
            string userName = ConfigurationManager.AppSettings["TestUserName"];
            string password = ConfigurationManager.AppSettings["TestPassword"];
            SecurityProvider.Login(userName , password);
        }


        [TestMethod]
        public void Load()
        {
            Attempt attempt = new Attempt();
            attempt.AttemptId = 1;

            Assert.IsTrue(attempt.Load());
        }

        [TestMethod]
        public void Do()
        {
            Attempt attempt = new Attempt();
            attempt.Test = new AutoProofreader.BusinessObjects.Test();
            attempt.Test.TestId = 1;
            attempt.Test.EvaluationType = new Enums.EvaluationType(Enums.EvaluationType.OneToHoundred);
            attempt.Classroom = new Classroom();
            attempt.Classroom .ClassroomId = 1;

            attempt.Test.GenerateQuestions();

            attempt.Start();

            Assert.IsTrue(attempt.StartDate.HasValue);

            attempt.Stop();

            Assert.IsTrue(attempt.EndDate.HasValue);            
        }


    }
}
