﻿using System;
using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Security;

  namespace AutoProofreader.Tests.BusinessObjects
{
    [TestClass]
    public class ClassroomTest
    {
        [ClassInitialize()]
        public static void ClassInit(TestContext context)
        {
            string userName = ConfigurationManager.AppSettings["TestUserName"];
            string password = ConfigurationManager.AppSettings["TestPassword"];
            SecurityProvider.Login(userName , password);
        }


        [TestMethod]
        public void Load()
        {
            Classroom classroom = new Classroom();
            classroom.ClassroomId= 1;

            Assert.IsTrue(classroom.Load());
        }

        [TestMethod]
        public void Save()
        {
            Classroom classroom = new Classroom();
            classroom.ClassroomName = "test";
            classroom.StartDate = DateTime.Now;
            classroom.EndDate = DateTime.Now.AddDays(1); ;
            classroom.Save();

            Assert.IsTrue(classroom.Exists());
        }


    }
}
