﻿using System;
using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Security;
using AutoProofreader.Enums;

  namespace AutoProofreader.Tests.BusinessObjects
{
    [TestClass]
    public class UserTest
    {
        [ClassInitialize()]
        public static void ClassInit(TestContext context)
        {
            string userName = ConfigurationManager.AppSettings["TestUserName"];
            string password = ConfigurationManager.AppSettings["TestPassword"];
            SecurityProvider.Login(userName , password);
        }


        [TestMethod]
        public void Load()
        {
            Question question = new Question();
            question.QuestionId = 1;

            Assert.IsTrue(question.Load());
        }

        [TestMethod]
        public void Save()
        {
            Question question = new Question();
            question.AnswersType = new AnswersType(AnswersType.MultipleCorrect);
            question.Category = new Category();
            question.Category.CategoryId = 1;
            question.EditStatus = new EditStatus(EditStatus.Edit);
            question.IsDeleted = false;
            question.QuestionDescription = "Test";
            question.QuestionType = new QuestionType(QuestionType.New);
            question.Save();

            Assert.IsTrue(question.Exists());
        }


    }
}
