﻿using System;
using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Security;
using AutoProofreader.Enums;

  namespace AutoProofreader.Tests.BusinessObjects
{
    [TestClass]
    public class TestTest
    {
        [ClassInitialize()]
        public static void ClassInit(TestContext context)
        {
            string userName = ConfigurationManager.AppSettings["TestUserName"];
            string password = ConfigurationManager.AppSettings["TestPassword"];
            SecurityProvider.Login(userName , password);
        }


        [TestMethod]
        public void Load()
        {
            Test test = new Test();
            test.TestId = 1;

            Assert.IsTrue(test.Load());
        }

        [TestMethod]
        public void Save()
        {
            Test test = new Test();
            test.EditStatus = new EditStatus(EditStatus.Edit);
            test.EvaluationType = new EvaluationType(EvaluationType.AtoD);
            test.MaxAttempts = 1;
            test.QuestionsPerPage = 1;
            test.TestDescription = "TestDescription";
            test.TestName = "TestName";
            test.Save();

            Assert.IsTrue(test.Exists());
        }


    }
}
