﻿using System;
using System.Configuration;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.Dao.SqlServer;

namespace AutoProofreader.Dao
{
    /// <summary>
    /// Provides DAO implementation based on connection string provider.
    /// Current implementation supports Sql Server.
    /// </summary>
    public class DaoProvider
    {
        private static readonly string SqlServerProvider = "System.Data.SqlClient";

        private static string providerName = ConfigurationManager.ConnectionStrings["AutoProofreader"].ProviderName;

        public static UserDAO GetUserDao() 
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new UserDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }
        }

        public static LogDAO GetLogDao()
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new LogDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }

        }

        public static ClassroomDAO GetClassroomDao()
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new ClassroomDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }

        }

        public static CategoryDAO GetCategoryDao()
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new CategoryDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }

        }

        public static TestDAO GetTestDao()
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new TestDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }

        }

        public static QuestionDAO GetQuestionDao()
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new QuestionDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }

        }

        public static AnswerDAO GetAnswerDao()
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new AnswerDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }

        }

        public static AttemptDAO GetAttemptDao()
        {
            if (providerName.Equals(SqlServerProvider))
            {
                return new AttemptDAO();
            }
            else
            {
                throw new Exception("Unsuported database provider");
            }

        }


      
    }
}



