﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    public interface IAttemptDAO
    {
        long Add(DaoTransaction transaction, long classroomId, long testId, long userId, DateTime startDate, DateTime? endDate, string score);
        void Update(DaoTransaction transaction, long attemptId, DateTime endDate, string score);

        void AddQuestion(DaoTransaction transaction, long attemptId, long questionId, float? result);
        void UpdateQuestion(DaoTransaction transaction, long attemptId, long questionId, float? result);

        void AddQuestionAnswer(DaoTransaction transaction, long attemptId, long questionId, int answerNumber, string attemptValue);
        void UpdateQuestionAnswer(DaoTransaction transaction, long attemptId, long questionId, int answerNumber, string attemptValue); 

        IDataReader GetById(long attemptId);
        IDataReader ListByClassroomIdTestIdUserId(long classroomId, long testId, long userId);
        IDataReader ListByClassroomIdUserId(long classroomId, long userId);

        IDataReader ListHistoryForStudent(long userId);
        IDataReader ListForStudent(long userId, string editStatus);

        IDataReader GetNumberOfAttempts(long testId, long classroomId, long userId);
    }

}


