﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    public interface IClassroomDAO
    {
        long Add(DaoTransaction transaction, string classroomName, DateTime? startDate, DateTime? endDate, DateTime createdDate, long createdBy, bool isDeleted);
        void Update(DaoTransaction transaction, long classroomId, string classroomName, DateTime? startDate, DateTime? endDate, DateTime updateDate, long updatedBy, bool isDeleted);
        IDataReader GetById(long classroomId);
        IDataReader ListByUserId(long userId);
        IDataReader ListByNotAssignedToUserId(long userId);
        IDataReader ListByTestId(long testId);
        IDataReader ListByNotAssignedToTestId(long testId);
        IDataReader List();
        IDataReader Select(string searchText, bool isDeleted, long? userId, int maximumRows, int startRowIndex, string sortColumn, string sortDirection);
        int Count(string searchText, bool isDeleted, long? userId);
        void AssignUser(long classroomId, long userId);
        void UnassignUser(long classroomId, long userId);
    }
}


