﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    public interface ITestDAO
    {
        long Add(DaoTransaction transaction, string testName, string testDescription, int? maxAttempts, int? questionsPerPage, int? resolutionMaxMinutes, string evaluationType, string editStatus, DateTime createdDate, long createdBy, bool isDeleted);
        void Update(DaoTransaction transaction, long testId, string testName, string testDescription, int? maxAttempts, int? questionsPerPage, int? resolutionMaxMinutes, string evaluationType, string editStatus, DateTime updateDate, long updatedBy, bool isDeleted);
        IDataReader GetById(long testId);
        IDataReader Select(string searchText, bool isDeleted, string editStatus, long? createdBy);
        IDataReader ListByEditStatus(string editStatus);
        long AddQuestion(DaoTransaction transaction, long testId, long? questionId, long? categoryId);
        void RemoveQuestion(long testQuestionId);
        void AddClassroom(long testId, long classroomId, DateTime startDate, DateTime endDate);
    }
}


