﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    public interface IUserDAO
    {
        long Add(DaoTransaction transaction, string userName, string password, string userType, string firstName, string lastName, DateTime createdDate, long createdBy, bool isDeleted);
        void Update(DaoTransaction transaction, long userId, string userName, string userType, string firstName, string lastName, DateTime updateDate, long updatedBy, bool isDeleted);
        void UpdatePassword(DaoTransaction transaction, long userId, string password, DateTime updateDate, long updatedBy);

        IDataReader GetById(long userId);
        IDataReader GetByUserName(string userName);
        IDataReader GetByUserNameAndPassword(string userName, string password);
        IDataReader List();
        IDataReader ListByClassroomId(long classroomId);
        IDataReader ListByNotClassroomId(long classroomId);
        IDataReader Select(string searchText, string userType, bool isDeleted, long? classroomId, int maximumRows, int startRowIndex, string sortColumn, string sortDirection);
        int Count(string searchText, string userType, bool isDeleted, long? classroomId);
    }
}


