﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Enums
{
    [Serializable]
    public class AnswersType:EnumBase
    {
        public const char OneCorrect = 'O';
        public const char MultipleCorrect = 'M';
        public const char FreeText= 'F';

        public AnswersType(char _value):base(_value)
        {
            
        }

        public AnswersType()
            : base()
        {

        }


        public override string ToString()
        {
            return AnswersType.ToString(value);
        }

        public static string ToString(char value)
        {
            switch (value)
            {
                case AnswersType.OneCorrect:
                    return "Una resposta correcta";
                case AnswersType.MultipleCorrect:
                    return "Múltiples respostes correctes";
                case AnswersType.FreeText:
                    return "Text lliure";
            }
            return null;
        }

        public static AnswersType FromString(string questionType)
        {
            if (!string.IsNullOrEmpty(questionType))
            {
                return new AnswersType(Char.Parse(questionType));
            }
            else
            {
                return null;
            }
        }
    }
}
