﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Enums
{
     [Serializable]
    public class LogType:EnumBase
    {
        public const char Info = 'I';
        public const char Warning = 'W';
        public const char Error= 'E';


        public LogType(char _value)
            : base(_value)
        {
          
        }

        public LogType()
            : base()
        {

        }

        public override string ToString()
        {
            return LogType.ToString(value);
        }

        public static string ToString(char value)
        {
            switch (value)
            {
                case LogType.Info:
                    return "Informatiu";
                case LogType.Warning:
                    return "Alerta";
                case LogType.Error:
                    return "Error";
            }
            return null;
        }

        public static LogType FromString(string logType)
        {
            if (!string.IsNullOrEmpty(logType))
            {
                return new LogType(Char.Parse(logType));
            }
            else
            {
                return null;
            }
        }

        public static string ToValue(LogType logType)
        {
            if (logType != null)
            {
                return logType.value.ToString();
            }
            else
            {
                return null;
            }
        }
    }
}
