﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Enums
{
    [Serializable]
    public class QuestionType:EnumBase
    {
        public const char Library = 'L';
        public const char Random = 'R';
        public const char New= 'N';

        public QuestionType(char _value):base(_value)
        {
            
        }

        public QuestionType()
            : base()
        {

        }


        public override string ToString()
        {
            return QuestionType.ToString(value);
        }

        public static string ToString(char value)
        {
            switch (value)
            {
                case QuestionType.Library:
                    return "Llibreria de preguntes";
                case QuestionType.Random:
                    return "Aleatòria";
                case QuestionType.New:
                    return "Nova pregunta";
            }
            return null;
        }

        public static QuestionType FromString(string questionType)
        {
            if (!string.IsNullOrEmpty(questionType))
            {
                return new QuestionType(Char.Parse(questionType));
            }
            else
            {
                return null;
            }
        }
    }
}
