﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Enums
{
    [Serializable]
    public class UserType: EnumBase
    {
        public const char Administrator = 'A';
        public const char Teacher = 'T';
        public const char Student = 'S';

        public UserType(char _value):base(_value)
        {
          
        }

        public UserType(): base()
        {

        }

        public override string ToString()
        {
            return UserType.ToString(value);
        }

        public static string ToString(char value)
        {
            switch (value)
            {
                case UserType.Administrator:
                    return "Administrador";
                case UserType.Teacher:
                    return "Professor";
                case UserType.Student:
                    return "Estudiant";
            }
            return null; 
        }

        public static UserType FromString(string userType)
        {
            if (!string.IsNullOrEmpty(userType))
            {
                return new UserType(Char.Parse(userType));
            }
            else
            {
                return null;
            }
        }

        public static string ToValue(UserType userType)
        {
            if (userType != null)
            {
                return userType.value.ToString();
            }
            else
            {
                return null;
            }
        }
    }
}
