﻿using System;
using System.Data.Common;
using System.Data;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Dao;
using AutoProofreader.Dao.SqlServer;
using AutoProofreader.Utils;

namespace AutoProofreader.Managers
{
    public class AnswerManager
    {
        private static IAnswerDAO answerDao = DaoProvider.GetAnswerDao();

        public static List<Answer> ListByQuestion(Question question)
        {
            List<Answer> answerList = new List<Answer>();

            IDataReader dataReader = answerDao.ListByQuestionId(question.QuestionId.Value);

            while (dataReader.Read())
            {
                Answer answer = new Answer();
                Answer.FromDataReader(answer, dataReader);
                answerList.Add(answer);
            }
            dataReader.Close();

            return answerList;
        }

    
    }
}
