﻿using System;
using System.Data.Common;
using System.Data;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Dao;
using AutoProofreader.Dao.SqlServer;
using AutoProofreader.Utils;

namespace AutoProofreader.Managers
{
    public class CategoryManager
    {
        private static ICategoryDAO categoryDao = DaoProvider.GetCategoryDao();

        public static List<Category> List()
        {
            List<Category> categoryList = new List<Category>();
            IDataReader dataReader = categoryDao.List();

            while (dataReader.Read())
            {
                Category category = new Category();
                Category.FromDataReader(category, dataReader);
                categoryList.Add(category);
            }
            dataReader.Close();

            return categoryList;
        }

        public static List<Category> ListInLibrary()
        {
            List<Category> categoryList = new List<Category>();
            IDataReader dataReader = categoryDao.ListByQuestionEditStatus(new EditStatus(EditStatus.Published).ToValue());

            while (dataReader.Read())
            {
                Category category = new Category();
                Category.FromDataReader(category, dataReader);
                categoryList.Add(category);
            }
            dataReader.Close();

            return categoryList;
        }

        public static List<Category> Select(string searchText, bool isDeleted, int startRowIndex, int maximumRows, string sortColumn, string sortDirection)
        {
            List<Category> categoryList = new List<Category>();

            IDataReader dataReader = categoryDao.Select(searchText, isDeleted, maximumRows, startRowIndex, sortColumn, sortDirection);
            
            while (dataReader.Read())
            {
                Category category = new Category();
                Category.FromDataReader(category, dataReader);
                categoryList.Add(category);
            }
            dataReader.Close();

            return categoryList;
        }

        public static int Count(string searchText, bool isDeleted)
        {
            return categoryDao.Count(searchText, isDeleted);
        }

    }
}
