﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Dao;
using AutoProofreader.Enums;
using AutoProofreader.Dao.SqlServer;
using AutoProofreader.Utils;

namespace AutoProofreader.Managers
{
    public class LogManager
    {
        private static ILogDAO logDao = DaoProvider.GetLogDao();

        public static List<Log> List(User user)
        {
            List<Log> logList = new List<Log>();
            IDataReader dataReader = logDao.List(user.UserId.Value);
            
            while (dataReader.Read())
            {
                Log log = new Log();
                Log.FromDataReader(log, dataReader);

                logList.Add(log);
            }
            dataReader.Close();

            return logList;
        }

        public static List<Log> Select(User createdBy, DateTime? startDate, DateTime? endDate, LogType logType, int startRowIndex, int maximumRows)
        {
            List<Log> logList = new List<Log>();

            long? userId= null;
            if (userId != null) userId= createdBy.UserId.Value;

            IDataReader dataReader = logDao.Select(createdBy.UserId, startDate, endDate, LogType.ToValue(logType), startRowIndex, maximumRows);

            while (dataReader.Read())
            {
                Log log = new Log();
                Log.FromDataReader(log, dataReader);
                log.CreatedBy = new User();
                log.CreatedBy.UserName = DbUtils.ReadString(dataReader, "UserName");
                logList.Add(log);
            }
            dataReader.Close();

            return logList;
        }

        public static int Count(User createdBy, DateTime? startDate, DateTime? endDate, LogType logType)
        {
            return logDao.Count(createdBy.UserId, startDate, endDate, LogType.ToValue(logType));
        }
    }
}
