﻿using System;
using System.Data.Common;
using System.Data;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Dao;
using AutoProofreader.Dao.SqlServer;
using AutoProofreader.Utils;
using AutoProofreader.Security;

namespace AutoProofreader.Managers
{
    public class TestManager
    {
        private static ITestDAO testDao = DaoProvider.GetTestDao();

        public static List<Test> ListInEdition(string searchText, bool isDeleted)
        {
            SecurityProvider securityProvider = new SecurityProvider();

            List<Test> testList = new List<Test>();

            IDataReader dataReader = testDao.Select(searchText, isDeleted, new EditStatus(EditStatus.Edit).ToValue(), securityProvider.GetCurrentUserSession().UserId);

            while (dataReader.Read())
            {
                Test test = new Test();
                Test.FromDataReader(test, dataReader);
                testList.Add(test);
            }
            dataReader.Close();

            return testList;
        }

        public static List<Test> ListPublished(string searchText)
        {
            List<Test> testList = new List<Test>();

            IDataReader dataReader = testDao.Select(searchText, false, EditStatus.ToString(EditStatus.Published), null);

            while (dataReader.Read())
            {
                Test test = new Test();
                Test.FromDataReader(test, dataReader);
                testList.Add(test);
            }
            dataReader.Close();

            return testList;
        }
    
    }
}
