﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Exceptions;
using AutoProofreader.Enums;

namespace AutoProofreader.Security
{
    /// <summary>
    /// User session, serializable class.
    /// </summary>
    [Serializable]
    public class UserSession
    {

        #region Properties
        private long userId;
        public long UserId
        {
            get { return userId; }
        }
        private string userName;
        public string UserName
        {
            get { return userName; }
        }

        private UserType userType;
        public UserType UserType
        {
            get { return userType; }
        }
        private string firstName;

        public string FirstName
        {
            get { return firstName; }
        }
        private string lastName;

        public string LastName
        {
            get { return lastName; }
        }

        #endregion 

        public UserSession(User user)
        {
            this.userId = user.UserId.Value;
            this.firstName = user.FirstName;
            this.lastName = user.LastName;
            this.userName = user.UserName;
            this.userType = user.UserType;
        }
      
    }
}
