﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Dao;
using AutoProofreader.Dao.SqlServer;

namespace AutoProofreader.Utils
{
    /// <summary>
    /// Common db helper methods
    /// </summary>

    public class DbUtils
    {
        public static string ReadString(IDataReader dataReader, string columnName) 
        {
            if (dataReader[columnName] != null && dataReader[columnName] != System.DBNull.Value)
            {
                return dataReader[columnName].ToString();
            }
            return "";
        }

        public static DateTime? ReadDate(IDataReader dataReader, string columnName)
        {
            if (dataReader[columnName] != null && dataReader[columnName] != System.DBNull.Value)
            {
                return dataReader.GetDateTime(dataReader.GetOrdinal(columnName));
            }
            return null;
        }

        public static long? ReadLong(IDataReader dataReader, string columnName)
        {
            if (dataReader[columnName] != null && dataReader[columnName] != System.DBNull.Value)
            {
                return dataReader.GetInt64(dataReader.GetOrdinal(columnName));
            }
            return null;
        }

        public static int? ReadInt(IDataReader dataReader, string columnName)
        {
            if (dataReader[columnName] != null && dataReader[columnName] != System.DBNull.Value)
            {
                return dataReader.GetInt32(dataReader.GetOrdinal(columnName));
            }
            return null;
        }

        public static bool? ReadBool(IDataReader dataReader, string columnName)
        {
            if (dataReader[columnName] != null && dataReader[columnName] != System.DBNull.Value)
            {
                return dataReader.GetBoolean(dataReader.GetOrdinal(columnName));
            }
            return null;
        }

        public static bool ReadBoolValue(IDataReader dataReader, string columnName)
        {
            if (dataReader[columnName] != null && dataReader[columnName] != System.DBNull.Value)
            {
                return dataReader.GetBoolean(dataReader.GetOrdinal(columnName));
            }
            return false;
        }

    }
}
