﻿using System;
using System.Data.Common;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Dao;
using AutoProofreader.Dao.SqlServer;

namespace AutoProofreader.Utils
{
    /// <summary>
    /// Type related methods
    /// </summary>
    public class TypeUtils
    {
        public static long? ToLong(object stringValue)
        {
            if (stringValue != null)
            {
                return ToLong(stringValue.ToString());
            }
            return null;
        }

        public static long? ToLong(string stringValue) 
        {
            long longValue;
            if (long.TryParse(stringValue, out longValue)) 
            {
                return longValue;
            }
            return null;
        }

        public static int? ToInt(object stringValue)
        {
            if (stringValue != null)
            {
                return ToInt(stringValue.ToString());
            }
            return null;
        }

        public static int? ToInt(string stringValue)
        {
            int intValue;
            if (int.TryParse(stringValue, out intValue))
            {
                return intValue;
            }
            return null;
        }

        public static string ToString(int? intValue)
        {
            if (intValue.HasValue)
            {
                return intValue.Value.ToString();
            }
            return "";
        }

        public static string ToString(long? longValue)
        {
            if (longValue.HasValue)
            {
                return longValue.Value.ToString();
            }
            return "";
        }

        public static bool ToBool(string value)
        {
            if (! string.IsNullOrEmpty(value))
            {
                bool boolValue;
                if (bool.TryParse(value, out boolValue))
                {
                    return boolValue;
                }
            }
            return false;            
        }
    }
}
