﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;

namespace Web.Admin
{
    public partial class CategoryList : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Administrator); }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
          
        }

        protected void gv_CategoryList_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                Category category = (Category)e.Row.DataItem;
                e.Row.Attributes.Add("onclick", string.Format("javascript: window.location.href = 'EditCategory.aspx?CategoryId={0}'; return false;", category.CategoryId.Value));
            }
            
        }
        public List<Category> gv_CategoryList_GetData(int maximumRows, int startRowIndex, out int totalRowCount, string sortByExpression)
        {
            string searchText = txt_Search.Text;
            bool isDeleted = chk_isDeleted.Checked;
            string sortColumn = this.gv_CategoryList.SortExpression;
            string sortDirection = this.gv_CategoryList.SortDirection.ToString().Substring(0,3).ToUpper(); //TODO: Change

            totalRowCount = CategoryManager.Count(searchText, isDeleted);
            return CategoryManager.Select(searchText, isDeleted, startRowIndex, maximumRows, sortColumn, sortDirection);
        }

        protected void btn_Search_Click(object sender, EventArgs e)
        {
            this.gv_CategoryList.DataBind();
        }

        protected void chk_isDeleted_CheckedChanged(object sender, EventArgs e)
        {
            this.gv_CategoryList.DataBind();
        }
    }
}
