﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;

namespace Web.Admin
{
    public partial class ClassroomList : PageBase
    {       
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Administrator); }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            bool isAjax = ScriptManager.GetCurrent(this).IsInAsyncPostBack;

            if (Page.IsPostBack && isAjax)
            {
                this.gv_ClassroomList.DataBind();
            }
        }

        public List<Classroom> gv_ClassroomList_GetData(int maximumRows, int startRowIndex, out int totalRowCount, string sortByExpression)
        {
            string searchText = txt_Search.Text;
            bool isDeleted = chk_isDeleted.Checked;
            string sortColumn = this.gv_ClassroomList.SortExpression;
            string sortDirection = this.gv_ClassroomList.SortDirection.ToString().Substring(0, 3).ToUpper(); //TODO: Change

            totalRowCount = ClassroomManager.Count(searchText, isDeleted, null);
            return ClassroomManager.Select(searchText, isDeleted, null, startRowIndex, maximumRows, sortColumn, sortDirection);
        }

        protected void btn_Search_Click(object sender, EventArgs e)
        {
            this.gv_ClassroomList.DataBind();
        }

        protected void chk_isDeleted_CheckedChanged(object sender, EventArgs e)
        {
            this.gv_ClassroomList.DataBind();
        }



    }
}
