﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="EditClassroom.aspx.cs" Inherits="Web.Admin.EditClassroom" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

    <p>
        <a href="ClassroomList.aspx">Tornar a Aules</a>
    </p>

    <asp:UpdatePanel ID="pnl_Header" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <h1>
                <i class="fa fa-th-large seafoam_green"></i>
                <%=pageTitle %>
            </h1>
        </ContentTemplate>
    </asp:UpdatePanel>


    <apr:AprMenu ID="menuClassroom" runat="server">
        <apr:AprMenuItem runat="server" DisplayText="Dades">

            <apr:AprUserFeedback ID="userFeedback" runat="server" ValidationGroup="Edit" />

            <p>
                <apr:AprLabel ID="lb_ClassroomName" runat="server" AssociatedControlID="txt_ClassroomName">Nom</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_ClassroomName" />
                <apr:AprRequiredFieldValidator ID="rfv_ClassroomName" runat="server" ControlToValidate="txt_ClassroomName" ErrorMessage="Nom és un camp obligatori." ValidationGroup="Edit" />
            </p>
            <p>
                <apr:AprLabel ID="lb_StartDate" runat="server" AssociatedControlID="txt_StartDate">Data inici</apr:AprLabel>
                <apr:AprDatePicker runat="server" ID="txt_StartDate" />
            </p>
            <p>
                <apr:AprLabel ID="lb_EndDate" runat="server" AssociatedControlID="txt_EndDate">Data fi</apr:AprLabel>
                <apr:AprDatePicker runat="server" ID="txt_EndDate" />
            </p>
            <p>
                <apr:AprCheckBox ID="chk_isDeleted" runat="server" Text="Esborrat?" />
            </p>
            <p>
                <apr:AprButton ID="btnSave" runat="server" OnClick="BtnSaveClassroom_Click" Text="Guardar" ValidationGroup="Edit" />
            </p>
        </apr:AprMenuItem>
        <apr:AprMenuItem runat="server" DisplayText="Estudiants i profesors">
            <p>
                Estudiants i professors disponibles
                <apr:AprDropDownList ID="ddl_User" runat="server" SelectMethod="ddl_User_GetData" DataTextField="FullName" DataValueField="UserId" EmptyListItem="No hi ha estudiants o professors disponibles" Width="350px" />

                <apr:AprButton ID="btn_assignUser" runat="server" Text="Assignar a aula" OnClick="btn_assignUser_Click" />
            </p>
            <p>
                Estudiants i professors de l'aula
                <apr:AprGridView ID="gv_UserList"
                    runat="server"
                    DataKeyNames="UserId"
                    SelectMethod="gv_User_GetData"
                    ItemType="AutoProofreader.BusinessObjects.User"
                    EmptyDataText="No hi ha cap estudiant o profesor a l'aula"
                    OnRowCommand="gv_User_RowCommand" 
                    OnRowDataBound="gv_User_RowDataBound">
                    <Columns>
                        <asp:BoundField DataField="UserType" HeaderText="Tipus" SortExpression="UserType" />
                        <asp:BoundField DataField="FullName" HeaderText="Usuari" SortExpression="LastName" />

                        <asp:TemplateField HeaderText="Esborrar">
                            <ItemTemplate>
                                <asp:LinkButton runat="server" ID="lnkButton" CommandName="remove"
                                    CommandArgument='<%# Eval("UserId", "{0}") %>'
                                    CssClass="fa fa-remove" Text="" />
                            </ItemTemplate>
                        </asp:TemplateField>

                    </Columns>

                </apr:AprGridView>
            </p>
        </apr:AprMenuItem>
    </apr:AprMenu>
</asp:Content>
