﻿<%@ Page Async="true" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="EditUser.aspx.cs" Inherits="Web.Admin.EditUser" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

    <p>
        <a href="UserList.aspx">Tornar a Usuaris</a>

    </p>
    <asp:UpdatePanel ID="pnl_Header" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <h1>
                <i class="fa fa-user seafoam_green"></i>
                <%=pageTitle%>
            </h1>
        </ContentTemplate>
    </asp:UpdatePanel>

    <apr:AprMenu ID="menuUser" runat="server">
        <apr:AprMenuItem runat="server" DisplayText="Dades">

            <apr:AprUserFeedback ID="userFeedback" runat="server" ValidationGroup="EditUser" />


            <p>
                <apr:AprLabel ID="lb_LastName" runat="server" AssociatedControlID="txt_LastName">Cognom</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_LastName" />
                <apr:AprRequiredFieldValidator ID="rfv_LastName" runat="server" ControlToValidate="txt_LastName" ErrorMessage="Cognom és un camp obligatori." ValidationGroup="EditUser" />
            </p>
            <p>
                <apr:AprLabel ID="lb_FirstName" runat="server" AssociatedControlID="txt_FirstName">Nom</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_FirstName" />
                <apr:AprRequiredFieldValidator ID="rfv_FirstName" runat="server" ControlToValidate="txt_FirstName" ErrorMessage="Nom és un camp obligatori." ValidationGroup="EditUser" />
            </p>
            <p>
                <apr:AprLabel ID="lb_UserName" runat="server" AssociatedControlID="txt_UserName">Nom d'usuari</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_UserName" />
                <apr:AprCustomValidator ID="ev_UserName" runat="server" EnableClientScript="true" ValidateEmptyText="true" ClientValidationFunction="validateEmail" ControlToValidate="txt_UserName" ErrorMessage="Nom d'usuari ha de ser una adreça d'email vàlida." ValidationGroup="EditUser" />
            </p>
            <p>
                <apr:AprLabel ID="lb_UserType" runat="server" AssociatedControlID="ddl_UserType">Tipus d'usuari</apr:AprLabel>
                <apr:AprDropDownList ID="ddl_UserType" runat="server" EnumType="UserType" />
            </p>
            <p>
                <apr:AprCheckBox ID="chk_isDeleted" runat="server" Text="Esborrat?" />
            </p>
            <p>
                <apr:AprButton ID="btnSave" runat="server" OnClick="BtnSaveUser_Click" Text="Guardar" ValidationGroup="EditUser" />

                <apr:AprButton ID="btnResetPassword" runat="server" OnClick="btnResetPassword_Click" Text="Canviar contrasenya" />
            </p>
        </apr:AprMenuItem>
        <apr:AprMenuItem runat="server" DisplayText="Aules">
            <p>
                Aules disponibles
                <apr:AprDropDownList ID="ddl_Classroom" runat="server" SelectMethod="ddl_Classroom_GetData" DataTextField="ClassroomName" DataValueField="ClassroomId" EmptyListItem="No hi ha cap aula disponible" />

                <apr:AprButton ID="btn_assignClassroom" runat="server" Text="Assignar a aula" OnClick="btn_assignClassroom_Click" />
            </p>
            <p>
                Aules assignades
                            <apr:AprGridView ID="gv_Classroom"
                                runat="server"
                                DataKeyNames="ClassroomId"
                                SelectMethod="gv_Classroom_GetData"
                                ItemType="AutoProofreader.BusinessObjects.Classroom"
                                OnRowCommand="gv_Classroom_RowCommand" 
                                EmptyDataText="No hi ha cap aula assignada">
                                <Columns>
                                    <asp:BoundField DataField="ClassroomName" HeaderText="Nom" SortExpression="ClassroomName" />
                                    <asp:BoundField DataField="StartDate" HeaderText="Inici" SortExpression="StartDate" DataFormatString="{0:dd/MM/yyyy}" />
                                    <asp:BoundField DataField="EndDate" HeaderText="Fi" SortExpression="EndDate" DataFormatString="{0:dd/MM/yyyy}" />

                                    <asp:TemplateField HeaderText="Esborrar">
                                        <ItemTemplate>
                                            <asp:LinkButton runat="server" ID="lnkButton" CommandName="remove"
                                                CommandArgument='<%# Eval("ClassroomId", "{0}") %>'
                                                CssClass="fa fa-remove" Text="" />
                                        </ItemTemplate>
                                    </asp:TemplateField>

                                </Columns>

                            </apr:AprGridView>

            </p>

        </apr:AprMenuItem>
        <apr:AprMenuItem runat="server" DisplayText="Log">
            <apr:AprGridView ID="gv_Log"
                runat="server"
                SelectMethod="gv_Log_GetData"
                DataKeyNames="LogId"
                EmptyDataText="No hi ha informació en el log de l'usuari">
                <columns>
                        <asp:BoundField DataField="CreatedDate" HeaderText="Data" SortExpression="LastName" />
                        <asp:BoundField DataField="Description" HeaderText="Event" SortExpression="" />
                    </columns>
            </apr:AprGridView>
        </apr:AprMenuItem>
    </apr:AprMenu>

</asp:Content>
