﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="LogList.aspx.cs" Inherits="Web.Admin.LogList" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <h1>
        <i class="fa fa-database seafoam_green"></i>
        Log
    </h1>

    <asp:UpdatePanel ID="up_LogList" runat="server" UpdateMode="Conditional">

        <ContentTemplate>
            <asp:Panel ID="pnl_Filter" runat="server" DefaultButton="btn_Search">
                <fieldset>
                    <legend></legend>
                    <table style="width: 100%">
                        <tr>
                            <td>
                                <apr:AprLabel ID="lb_StartDate" runat="server" AssociatedControlID="txt_StartDate">Data inici</apr:AprLabel>
                                <apr:AprDatePicker runat="server" CssClass="datepicker" ID="txt_StartDate" MaxLength="10" Width="100px" />
                            </td>
                            <td>
                                <apr:AprLabel ID="lb_EndDate" runat="server" AssociatedControlID="txt_EndDate">Data fi</apr:AprLabel>
                                <apr:AprDatePicker runat="server" CssClass="datepicker" ID="txt_EndDate" MaxLength="10" Width="100px" />
                            </td>
                            <td>
                                <apr:AprLabel ID="lb_User" runat="server" AssociatedControlID="ddl_User">Usuari</apr:AprLabel>
                                <apr:AprDropDownList ID="ddl_User" runat="server" SelectMethod="ddl_User_GetData" DataTextField="FullName" DataValueField="UserId" OnSelectedIndexChanged="ddl_User_SelectedIndexChanged" AutoPostBack="true" EmptyListItem="-- Sel.leccionar --"  />
                            </td>
                            <td>
                                <apr:AprLabel ID="lbType" runat="server" AssociatedControlID="ddl_ErrorType">Tipus</apr:AprLabel>
                                <apr:AprDropDownList ID="ddl_ErrorType" runat="server" EnumType="LogType" OnSelectedIndexChanged="ddl_ErrorType_SelectedIndexChanged" AutoPostBack="true" EmptyListItem="-- Sel.leccionar --" />
                            </td>
                        </tr>
                    </table>
                    <apr:AprButton CssClass="nodisplay" ID="btn_Search" runat="server" OnClick="btn_Search_Click" Text="Buscar" />
                </fieldset>
            </asp:Panel>

            <apr:AprGridView ID="gv_LogList"
                runat="server"
                EmptyDataText="El log està buit"
                SelectMethod="gv_LogList_GetData">
                <Columns>
                    <asp:BoundField DataField="LogType" HeaderText="Tipus" SortExpression="LogType" />
                    <asp:BoundField DataField="UserName" HeaderText="Usuari" SortExpression="UserName" />
                    <asp:BoundField DataField="Description" HeaderText="Event" SortExpression="Description" />
                    <asp:BoundField DataField="CreatedDate" HeaderText="Data" SortExpression="CreatedDate" />
                </Columns>
            </apr:AprGridView>
        </ContentTemplate>

    </asp:UpdatePanel>

</asp:Content>
