﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;
using AutoProofreader.Utils;

namespace Web.Admin
{
    public partial class LogList : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Administrator); }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            this.gv_LogList.AllowSorting = false;
        }

        protected void gv_LogList_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
            }            
        }

        public IQueryable<User> ddl_User_GetData()
        {
            return UserManager.List().AsQueryable();
        }


        public List<Log> gv_LogList_GetData(int maximumRows, int startRowIndex, out int totalRowCount, string sortByExpression)
        {
            DateTime? startDate = txt_StartDate.GetDateTime();
            DateTime? endDate = txt_EndDate.GetDateTime();
            long? userId = TypeUtils.ToLong(this.ddl_User.SelectedValue);
            LogType logType = LogType.FromString(ddl_ErrorType.SelectedValue);

            totalRowCount = LogManager.Count(new User() { UserId = userId }, startDate, endDate, logType);
            return LogManager.Select(new User() { UserId = userId }, startDate, endDate, logType, startRowIndex, maximumRows);
        }

        protected void btn_Search_Click(object sender, EventArgs e)
        {
            this.gv_LogList.DataBind();
        }

        protected void ddl_User_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.gv_LogList.DataBind();
        }

        protected void ddl_ErrorType_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.gv_LogList.DataBind();
        }


    }
}
