﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;

namespace Web.Admin
{
    public partial class UserList : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Administrator); }
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        public List<User> gv_UserList_GetData(int maximumRows, int startRowIndex, out int totalRowCount, string sortByExpression)
        {
            string searchText = txt_Search.Text;
            UserType userType = UserType.FromString(ddl_UserType.SelectedValue);
            bool isDeleted = chk_isDeleted.Checked;
            string sortColumn = this.gv_UserList.SortExpression;
            string sortDirection = this.gv_UserList.SortDirection.ToString().Substring(0,3).ToUpper(); //TODO: Change

            totalRowCount = UserManager.Count(searchText, userType, isDeleted, null);
            return UserManager.Select(searchText, userType, isDeleted, null, startRowIndex, maximumRows, sortColumn, sortDirection);
        }

        protected void btn_Search_Click(object sender, EventArgs e)
        {
            this.gv_UserList.DataBind();
        }

        protected void ddl_UserType_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.gv_UserList.DataBind();
        }

        protected void chk_isDeleted_CheckedChanged(object sender, EventArgs e)
        {
            this.gv_UserList.DataBind();
        }
    }
}
