﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Exceptions;
using AutoProofreader.Security;
using AutoProofreader.Utils;
using AutoProofreader.UI.WebControls;

namespace Web
{
    public partial class Default : Page
    {
        private const string REMEMBER_ME_COOKIE_NAME = "rememberMe";
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!Page.IsPostBack)
            {
                GetRememberMe();

                if ("expired".Equals(Request.QueryString["reason"]))
                {
                    this.fed_Login.ShowInfo("La teva sessió en el sistema ha caducat.");
                }
            }
        }
    
        protected void btn_Login_Click(object sender, EventArgs e)
        {
            try
            {
                UserSession userSession = SecurityProvider.Login(this.txtUserName.Text, this.txtPassword.Text);

                if (userSession != null)
                {
                    SetRememberMe();

                    string url = "~/";
                    switch (userSession.UserType.Value)
                    {
                        case UserType.Administrator:
                            url += "Admin";
                            break;
                        case UserType.Student:
                            url += "Student";
                            break;
                        case UserType.Teacher:
                            url += "Teacher";
                            break;
                    }

                    Response.Redirect(url);
                }
            }
            catch (SecurityException)
            {
                fed_Login.ShowError("Nom d'usuari o contrasenya incorrectes.");
            }
         
        }

        private void SetRememberMe()
        {
            if (chkRememberMe.Checked)
            {
                //set the new expiry date - to thirty days from now
                HttpCookie cookie = new HttpCookie(REMEMBER_ME_COOKIE_NAME, txtUserName.Text);
                cookie.Expires = DateTime.Now.AddDays(30);
                //add the cookie to the response.
                Response.Cookies.Add(cookie);
            }
            else
            {
                if (Request.Cookies[REMEMBER_ME_COOKIE_NAME] != null)
                {
                    HttpCookie cookie= new HttpCookie(REMEMBER_ME_COOKIE_NAME);
                    cookie.Expires = DateTime.Now.AddDays(-1d);
                    Response.Cookies.Add(cookie);
                }
            }
        }

        private void GetRememberMe()
        {
            if (Request.Cookies[REMEMBER_ME_COOKIE_NAME] != null)
            {
                txtUserName.Text = Request.Cookies[REMEMBER_ME_COOKIE_NAME].Value;
                chkRememberMe.Checked = true;
            }
        }

    }
}