﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.Enums;
using AutoProofreader.UI;

namespace Web
{
    public partial class SiteMaster : MasterPage
    {
        protected UserType userType;
        protected string userUrl;

        protected override void OnInit(EventArgs e)
        {
            LoadUserType();

            SetUserUrl();

            base.OnInit(e);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
         
        }

        private void LoadUserType()
        {
            if (Page is PageBase)
            {
                this.userType = ((PageBase)Page).securityProvider.GetCurrentUserSession().UserType;
            }
            else
            {
                throw new Exception("Invalid page");
            }
        }

        private void SetUserUrl()
        {
            switch (userType.Value)
            {
                case UserType.Administrator:
                    userUrl = "~/Admin";
                    break;
                case UserType.Student:
                    userUrl = "~/Student";
                    break;
                case UserType.Teacher:
                    userUrl = "~/Teacher";
                    break;
            }
        }
    }
}