﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;

namespace Web.Teacher
{
    public partial class ClassroomList : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Teacher); }
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void gv_ClassroomList_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                Classroom classroom = (Classroom)e.Row.DataItem;
                e.Row.Attributes.Add("onclick", string.Format("javascript: window.location.href = 'Classroom.aspx?ClassroomId={0}'; return false;", classroom.ClassroomId.Value));
            }
            
        }

        public IQueryable<Classroom> gv_ClassroomList_GetData()
        {
            User user = new User();
            user.UserId = this.securityProvider.GetCurrentUserSession().UserId;
            return ClassroomManager.ListByUser(user).AsQueryable<Classroom>();
        }

        protected void btn_Search_Click(object sender, EventArgs e)
        {
            this.gv_ClassroomList.DataBind();
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
        }
    }
}
