﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="EditQuestion.aspx.cs" Inherits="Web.Teacher.EditQuestion" %>

<%@ Import Namespace="AutoProofreader.BusinessObjects" %>
<%@ Import Namespace="AutoProofreader.Enums" %>
<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <script type="text/javascript">
        function previewQuestion(questionId) {
            openPopup('PreviewQuestion.aspx?QuestionId=' + questionId);
        }
    </script>
    <% if (test.Exists())
       { %>
    <a href="<%=GetTestUrl()%>">Tornar a la prova <%= test.TestName %></a>
    <% }
       else
       {
           if (question.Exists() && question.QuestionType.Value == QuestionType.Library)
           {%>
    <a href="QuestionList.aspx">Tornar a la biblioteca de preguntes</a>
    <% } %>
    <%} %>

    <asp:UpdatePanel ID="pnl_Header" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <h1>
                <i class="fa fa-question seafoam_green"></i>

                <%=pageTitle%>

                <apr:AprButton CssClass="bg_yellow float_right" ID="btn_Preview" runat="server" Text="Previsualitzar" Visible="false" />
            </h1>
        </ContentTemplate>
    </asp:UpdatePanel>


    <apr:AprMenu ID="menu_Pregunta" runat="server">
        <apr:AprMenuItem ID="AprMenuItem1" runat="server" DisplayText="Pregunta">
            <apr:AprUserFeedback ID="userFeedback" runat="server" ValidationGroup="EditQuestion" />

            <p>
                <apr:AprLabel ID="lb_QuestionDescription" runat="server" AssociatedControlID="txt_QuestionDescription">Pregunta</apr:AprLabel>
                <apr:AprEditor runat="server" ID="txt_QuestionDescription" />
                <br />
                <span class="input_note">Aquesta és l'enunciat de la pregunta que es mostrarà a l'alumne</span>
             
                <apr:AprRequiredFieldValidator ID="rfv_TestName" runat="server" ControlToValidate="txt_QuestionDescription" ErrorMessage="L'enunciat de la pregunta és un camp obligatori." ValidationGroup="EditQuestion" />                
            </p>

            <p>
                <apr:AprLabel ID="lb_Category" runat="server" AssociatedControlID="ddl_Category">Categoria</apr:AprLabel>
                <apr:AprDropDownList ID="ddl_Category" runat="server" SelectMethod="ddl_Category_GetData" DataTextField="CategoryName" CssClass="large" DataValueField="CategoryId" />
                <br />
                <span class="input_note">Aquesta és la categoria de la pregunta.</span>
            </p>


            <p>
                <apr:AprLabel ID="lb_AnswerType" runat="server" AssociatedControlID="ddl_AnswersType">Tipus de respostes</apr:AprLabel>
                <apr:AprDropDownList ID="ddl_AnswersType" runat="server" CssClass="large" EnumType="AnswersType" />
                <br />
                <span class="input_note">Sel.lecciona quin és el tipus de resposta que tindrà la pregunta.</span>
            </p>
            <p>
                <apr:AprButton ID="btn_SaveQuestion" ClientIDMode="Static" runat="server" OnClick="BtnSaveQuestion_Click" Text="Guardar" ValidationGroup="EditQuestion" />
            </p>
        </apr:AprMenuItem>
        <apr:AprMenuItem ID="AprMenuItem2" runat="server" DisplayText="Respostes">
            <apr:AprUserFeedback ID="userFeedbackAnswer" runat="server" ValidationGroup="EditAnswer" />

            <asp:Panel ID="pnl_Answer" runat="server">

                <p>
               
                    <apr:AprGridView ID="gv_Answers"
                        runat="server"
                        SelectMethod="gv_Answers_GetData"
                        DataKeyNames="AnswerNumber"
                        AllowPaging="false" AllowSorting="false"
                        OnRowCommand="gv_Answers_RowCommand"
                        ShowHeaderWhenEmpty="true"
                        EmptyDataText="Aquesta pregunta encara no té cap resposta afegida">
                        <Columns>
                            <asp:TemplateField HeaderText="Respostes de la pregunta">
                                <ItemTemplate>
                                    <asp:LinkButton runat="server" ID="lnkButton" CommandName="get"
                                        CommandArgument="<%# ((Answer) Container.DataItem).AnswerNumber %>"
                                        Text="<%# GetAnswerText((Answer)Container.DataItem) %>" />
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </apr:AprGridView>
                </p>

                <p>
                    <apr:AprLabel ID="lb_Answer" runat="server" AssociatedControlID="txt_AnswerDescription">Resposta</apr:AprLabel>
                    <apr:AprTextBox CssClass="large" ID="txt_AnswerDescription" runat="server" />

                    <br />
                    <span class="input_note">Aquest és el texte de la resposta</span>
                    <apr:AprRequiredFieldValidator ID="rfv_AnswerDescription" runat="server" ControlToValidate="txt_AnswerDescription" ErrorMessage="Resposta és un camp obligatori." ValidationGroup="EditAnswer" />

                </p>
                <p>
                    <apr:AprCheckBox ID="chk_IsCorrectAnswer" runat="server" Text="És correcta? " />

                    <br />
                    <span class="input_note">Sel.lecciona si és la resposta correcta</span>
                </p>
                <p>
                    <apr:AprLabel ID="lb_IsCorrectHint" runat="server" AssociatedControlID="txt_IsCorrectHint">Textre a mostrar si és correcta</apr:AprLabel>
                    <apr:AprTextBox CssClass="large" ID="txt_IsCorrectHint" runat="server" />

                    <br />
                    <span class="input_note">Aquest texte es mostrarà a l'alumne si encerta la resposta</span>
                </p>
                <p>
                    <apr:AprLabel ID="lb_IsIncorrectHint" runat="server" AssociatedControlID="txt_IsIncorrectHint">Textre a mostrar si no és correcta</apr:AprLabel>
                    <apr:AprTextBox CssClass="large" ID="txt_IsIncorrectHint" runat="server" />

                    <br />
                    <span class="input_note">Aquest texte es mostrarà a l'alumne en cas que no encerti la resposta</span>
                </p>

                <p>
                    <apr:AprButton ID="BtnSaveAnswer" runat="server" OnClick="BtnSaveAnswer_Click" Text="Guardar resposta" ValidationGroup="EditAnswer" />

                    <apr:AprButton ID="BtnDeleteAnswer" CssClass="float_right" runat="server" OnClick="BtnDeleteAnswer_Click" Text="Esborrar resposta" />
                </p>

          
            </asp:Panel>
            <asp:Panel ID="pnl_AnswerFreeText" runat="server" Visible="false">
                <p>
                    <apr:AprLabel ID="AprLabel1" runat="server" AssociatedControlID="txt_CorrectValue">Quina és la resposta correcta?</apr:AprLabel>
                    <apr:AprTextBox CssClass="large" ID="txt_CorrectValue" runat="server" />

                    <br />
                    <span class="input_note">Aquest és el texte correcte de la resposta. La resposta de l'alumne és compararà amb aquesta i si coincideixen, serà correcta</span>
                    <apr:AprRequiredFieldValidator ID="rfv_CorrectValue" runat="server" ControlToValidate="txt_CorrectValue" ErrorMessage="La reposta correcta és un camp obligatori." ValidationGroup="EditAnswer" />

                </p>
                <p>
                    <apr:AprLabel runat="server" AssociatedControlID="txt_FreeText_IsCorrectHint">Textre a mostrar si és correcta</apr:AprLabel>
                    <apr:AprTextBox CssClass="large" ID="txt_FreeText_IsCorrectHint" runat="server" />

                    <br />
                    <span class="input_note">Aquest text es mostrarà a l'alumne si encerta la resposta</span>
                </p>
                <p>
                    <apr:AprLabel runat="server" AssociatedControlID="txt_FreeText_IsIncorrectHint">Textre a mostrar si no és correcta</apr:AprLabel>
                    <apr:AprTextBox CssClass="large" ID="txt_FreeText_IsIncorrectHint" runat="server" />

                    <br />
                    <span class="input_note">Aquest text es mostrarà a l'alumne en cas que no encerti la resposta</span>
                </p>

                <p>
                    <apr:AprButton ID="BtnSaveAnswerFreeText" runat="server" OnClick="BtnSaveAnswer_Click" Text="Guardar resposta" ValidationGroup="EditAnswer" />
                </p>
            </asp:Panel>

        </apr:AprMenuItem>

        <apr:AprMenuItem runat="server" DisplayText="Multimèdia">
            <apr:AprUserFeedback ID="userFeedbackMultimedia" runat="server" ValidationGroup="EditQuestion" />
            <p>
                <span class="input_note">Pots seleccionar arxius multimèdia com un arxiu d'imatge i/o un arxiu de só que es mostraran al final de l'enunciat de la pregunta</span>
            </p>
            <hr />
            <p>
                <apr:AprLabel ID="lb_Image" runat="server" AssociatedControlID="fu_Image">Imatge</apr:AprLabel>
            </p>
                <asp:Panel id="pnl_imgQuestion" runat="server" Visible="false">
                    <table style="width:100%">
                        <tr>
                            <td>
                                <asp:Image runat="server" ID="imgQuestion" />
                            </td>
                            <td>
                                <apr:AprCheckBox ID="chk_RemoveImage" runat="server" Text="Esborrar imatge actual" />
                            </td>
                        </tr>
                    </table>
                    
                </asp:Panel>
            <p>
                <apr:AprLabel id="lb_NewImage" runat="server" Text="Escollir un nou arxiu d'imatge "  AssociatedControlID="fu_Image" CssClass="noblock" /> <apr:AprFileUpload ID="fu_Image" runat="server" />                
             </p>

            <hr />

            <p>                
                <apr:AprLabel ID="lb_Sound" runat="server" AssociatedControlID="fu_Sound">So</apr:AprLabel>
            </p>
             
            <asp:Panel id="pnl_soundQuestion" runat="server" Visible="false">
                <table style="width:100%">
                    <tr>
                        <td><apr:AprSound runat="server" ID="soundQuestion" /> </td>
                        <td><apr:AprCheckBox ID="chk_RemoveSound" runat="server" Text="Esborrar so actual" /></td>
                    </tr>
                </table>
            </asp:Panel>
            <p>
                <apr:AprLabel id="lb_NewSound" runat="server" Text="Escollir un nou arxiu de so "  AssociatedControlID="fu_Sound"  CssClass="noblock"  /><apr:AprFileUpload ID="fu_Sound" runat="server" />               
            </p>
            <hr />
            <p>
                <apr:AprButton ID="BtnSaveMultimedia" runat="server" OnClick="BtnSaveMultimedia_Click" Text="Guardar arxius multimèdia" />
            </p>
        </apr:AprMenuItem>
    </apr:AprMenu>

</asp:Content>
