﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="EditTest.aspx.cs" Inherits="Web.Teacher.EditTest" %>
<%@ Import Namespace=" AutoProofreader.BusinessObjects" %>
<%@ Import Namespace=" AutoProofreader.Enums" %>
<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
   
    <script type="text/javascript">
        function previewTest(testId) {            
            openPopup('PreviewTest.aspx?TestId=' + testId);
        }
    </script>

    <%  if (!test.Exists() || test.EditStatus.Value == EditStatus.Edit)
        {%>
        <a href="TestList.aspx">Tornar a les meves proves</a>
    <% } else { %>
        <a href="PublishedTestList.aspx">Tornar a la biblioteca de proves</a>
    <% } %>

    <asp:UpdatePanel ID="pnl_Header" runat="server" UpdateMode="Conditional">
        <Triggers>
            <asp:PostBackTrigger ControlID="btn_Publish" />
        </Triggers>
        <ContentTemplate>
            <h1>        
            <%  if (!test.Exists() || test.EditStatus.Value == EditStatus.Edit) {%>
              <i class="fa fa-file-text-o seafoam_green"></i>
            <% } else { %>
                <i class="fa fa-book seafoam_green"></i>
            <% } %>

            <%=pageTitle %>

                <apr:AprButton CssClass="bg_yellow float_right" ID="btn_Publish" runat="server" Text="Publicar"  Visible="false" OnClick="btn_Publish_Click"/>
                <apr:AprButton CssClass="bg_yellow float_right" ID="btn_Preview" runat="server" Text="Previsualitzar"  Visible="false"/>
            </h1>

            <apr:AprUserFeedback ID="publishFeedback" runat="server" Visible="false" />
        </ContentTemplate>
    </asp:UpdatePanel>

    <apr:AprMenu ID="menu_Test" runat="server">
        <apr:AprMenuItem runat="server" DisplayText="Dades">
            <apr:AprUserFeedback ID="userFeedback" runat="server" ValidationGroup="EditTest" />
            <p>
                <apr:AprLabel ID="lb_TestName"  runat="server" AssociatedControlID="txt_TestName">Nom</apr:AprLabel>
                <apr:AprTextBox CssClass="large" runat="server" ID="txt_TestName" />
                <apr:AprRequiredFieldValidator ID="rfv_TestName" runat="server" ControlToValidate="txt_TestName" ErrorMessage="El nom de la prova és un camp obligatori" ValidationGroup="EditTest" />
                <br />
                <span class="input_note">Aquest serà el nom de la prova.</span>
            </p>

            <p>
                <apr:AprLabel ID="lb_TestDescription" runat="server" AssociatedControlID="txt_TestDescription">Descripció</apr:AprLabel>
                <apr:AprEditor runat="server" ID="txt_TestDescription" />
                <br />
                <span class="input_note">Aquesta serà la descripció que es mostrarà.</span>
            </p>

            <p>
                <apr:AprLabel ID="lb_MaxAttempts" runat="server" CssClass="noblock" AssociatedControlID="txt_MaxAttempts">Nº màxim d'intents</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_MaxAttempts" Width="50px" />
                <br />
                <span class="input_note">El nombre màxim d'intents que tindrà l'alumne per respondre la prova.</span>

                <apr:AprRequiredFieldValidator ID="rfv_MaxAttempts" runat="server" ControlToValidate="txt_MaxAttempts" ErrorMessage="El nº màxim d'intents és un camp obligatori" ValidationGroup="EditTest" />
                <apr:AprNumericFieldValidator ID="nfv_MaxAttempts" runat="server" ControlToValidate="txt_MaxAttempts" ErrorMessage="El nº màxim d'intents ha de ser un nombre sencer" ValidationGroup="EditTest" />
            </p>
            <p>
                <apr:AprLabel ID="lb_QuestionsPerPage" runat="server" CssClass="noblock" AssociatedControlID="txt_QuestionsPerPage">Preguntes per pàgina</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_QuestionsPerPage" Width="50px" />
                <br />
                <span class="input_note">Qüantes preguntes per pàgina mostrarà aquesta prova?.</span>

                <apr:AprRequiredFieldValidator ID="rfv_QuestionsPerPage" runat="server" ControlToValidate="txt_QuestionsPerPage" ErrorMessage="El nº de preguntes per pàgina és un camp obligatori" ValidationGroup="EditTest" />
                <apr:AprNumericFieldValidator ID="nfv_QuestionsPerPage" runat="server" ControlToValidate="txt_QuestionsPerPage"  ErrorMessage="El nº de preguntes per pàgina ha de ser un nombre sencer" ValidationGroup="EditTest" />
            </p>
            <p>
                <apr:AprLabel ID="lb_ResolutionMaxMinutes" runat="server" CssClass="noblock" AssociatedControlID="txt_ResolutionMaxMinutes">Temps màxim</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_ResolutionMaxMinutes" Width="50px" />
                <br />
                <span class="input_note">El temps màxim que disposarà l'alumne per fer la prova en minuts.</span>

                <apr:AprRequiredFieldValidator ID="rfv_ResolutionMaxMinutes" runat="server" ControlToValidate="txt_ResolutionMaxMinutes" ErrorMessage="El temps màxim per fer la prova és un camp obligatori" ValidationGroup="EditTest" />
                <apr:AprNumericFieldValidator ID="nfv_ResolutionMaxMinutes" runat="server" ControlToValidate="txt_ResolutionMaxMinutes" ErrorMessage="El temps màxim per fer la prova ha de ser un nombre sencer" ValidationGroup="EditTest" />
            </p>
            <p>
                <apr:AprLabel  ID="lb_EvaluationType" runat="server" CssClass="noblock" AssociatedControlID="ddl_EvaluationType">Tipus d'evaluació</apr:AprLabel>
                <apr:AprDropDownList ID="ddl_EvaluationType" runat="server" EnumType="EvaluationType" />
                <br />
                <span class="input_note">Quin tipus d'evaluació es farà servir al corregir la prova?</span>

            </p>
            <p>
                <apr:AprCheckBox ID="chk_isDeleted" runat="server" Text="Esborrat?" />
            </p>

            <p>
                <apr:AprButton ID="btnSave" runat="server" cssClass="btn" OnClick="BtnSaveTest_Click" Text="Guardar canvis" ValidationGroup="EditTest"  />
            </p>
                
        </apr:AprMenuItem>

        <apr:AprMenuItem runat="server" DisplayText="Preguntes">
            <asp:Panel ID="pnl_ListQuestions" runat="server">

                <apr:AprButton ID="btn_NewQuestion" runat="server" Text="Afegir pregunta" OnClick="btn_NewQuestion_Click" />

                <apr:AprGridView ID="gv_TestQuestions"
                    runat="server"
                    SelectMethod="gv_TestQuestions_GetData"                     
                    DataKeyNames="QuestionId"
                    AllowPaging="false" AllowSorting="false" OnRowCommand="gv_TestQuestions_RowCommand" 
                    OnRowDataBound="gv_TestQuestions_RowDataBound"
                    EmptyDataText="Aquesta prova encara no té cap pregunta assignada"
                    >
                    <Columns>
                        <asp:TemplateField HeaderText="Preguntes" ControlStyle-Width="90%">
                            <ItemTemplate>

                            </ItemTemplate>
                        </asp:TemplateField>
                      <asp:TemplateField HeaderText="Esborrar" ControlStyle-Width="90%" ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <asp:LinkButton runat="server" ID="lnkButton"  CommandName="remove" 
                                    CommandArgument='<%# Eval("TestQuestionId", "{0}") %>'
                                    CssClass="fa fa-remove" Text="" />
                                </ItemTemplate>
                          </asp:TemplateField>

                    </Columns>
                </apr:AprGridView>

            </asp:Panel>       
            <asp:Panel ID="pnl_AddQuestion" runat="server" Visible="false">
                <p>
                    <apr:AprLabel ID="lb_QuestionType" runat="server" AssociatedControlID="ddl_QuestionType">
                        Quin tipus de pregunta vols afegir?
                    </apr:AprLabel>                     
                </p>
                <p>
                    <asp:DropDownList ID="ddl_QuestionType" runat="server">
                        <asp:ListItem Selected="True" Value="L" Text="Sel.leccionar una pregunta de la biblioteca de preguntes" />
                        <asp:ListItem Value="R" Text="Una pregunta aleatòria de la biblioteca de preguntes" />
                        <asp:ListItem Value="N" Text="Vull crear una nova pregunta" />
                    </asp:DropDownList>

                    <apr:AprButton ID="btn_QuestionType" runat="server" Text="Afegir" OnClick="btn_QuestionType_Click"/>

                    <apr:AprButton ID="btn_QuestionType_Cancel" runat="server" Text="Cancelar" OnClick="btn_Add_Question_Cancel_Click" />
                </p>
            </asp:Panel>     

            <asp:Panel ID="pnl_AddQuestion_Random" runat="server" Visible="false">
                <p>
                    <apr:AprLabel ID="lb_QuestionCategory" runat="server">
                        Quina serà la categoria de la pregunta aleatoria? 
                    </apr:AprLabel>
                    
                    <apr:AprDropDownList ID="ddl_Category" runat="server" SelectMethod="ddl_Category_GetData" DataTextField="CategoryName" CssClass="large" DataValueField="CategoryId" />
                    <br />
                    <span class="input_note">El sistema buscarà una pregunta aleatòria de la biblioteca d'aquesta categoria cada cop que un alumne faci una prova.</span>
                    <span class="input_note">Només es mostren les categories que han estat assignades a preguntes publicades a la biblioteca de preguntes.</span>
                </p>
                <apr:AprButton ID="btn_NextQuestion" runat="server" Text="Afegir" OnClick="btn_SaveRandomQuestion_Click" />

                <apr:AprButton ID="btn_NextQuestion_Cancel" runat="server" Text="Cancelar" OnClick="btn_Add_Question_Cancel_Click" />
            </asp:Panel>
        </apr:AprMenuItem>

        <apr:AprMenuItem runat="server" DisplayText="Aules">
            <asp:Panel ID="pnl_Classroom" runat="server">
                <apr:AprButton ID="btn_ShowPublish" runat="server" Text="Publicar prova en un aula" OnClick="btn_ShowPublish_Click" />

                <apr:AprGridView ID="gv_Classroom"
                    runat="server"
                    SelectMethod="gv_Classroom_GetData"
                    EmptyDataText="Aquesta prova no s'ha publicat en cap aula encara"
                    ShowHeaderWhenEmpty="true"
                    DataKeyNames="ClassroomId">
                    <columns>
                            <asp:BoundField DataField="ClassroomName" HeaderText="Aula" SortExpression="ClassroomName" ItemStyle-Width="60%" />
                            <asp:BoundField DataField="TestStartDate" HeaderText="Començament" SortExpression="TestStartDate" DataFormatString="{0:dd/MM/yyyy}" ItemStyle-HorizontalAlign="Center" />
                            <asp:BoundField DataField="TestEndDate" HeaderText="Final" SortExpression="TestEndDate" DataFormatString="{0:dd/MM/yyyy}" ItemStyle-HorizontalAlign="Center" />
                        </columns>
                </apr:AprGridView>
            </asp:Panel>
            <asp:Panel ID="pnl_AddClassroom" runat="server" Visible="false">
                <p>
                    <apr:AprLabel runat="server" AssociatedControlID="txt_TestName">Aula</apr:AprLabel>
                    <apr:AprDropDownList ID="ddl_Classroom" runat="server" SelectMethod="ddl_Classroom_GetData" DataTextField="ClassroomName" DataValueField="ClassroomId" />

                    <br />
                    <span class="input_note">La prova es publicarà en aquesta aula.</span>
                </p>
                  <p>
                    <apr:AprLabel ID="lb_StartDate" runat="server" AssociatedControlID="txt_StartDate">Data inici</apr:AprLabel>
                    <apr:AprDatePicker runat="server" ID="txt_StartDate" />
                    <br />
                    <span class="input_note">Data inici de la publicació.</span>
                </p>
                <p>
                    <apr:AprLabel ID="lb_EndDate" runat="server" AssociatedControlID="txt_EndDate">Data fi</apr:AprLabel>
                    <apr:AprDatePicker runat="server" ID="txt_EndDate" />

                    <br />
                    <span class="input_note">Data  de fi de la publicació.</span>
                </p>

                <p>
                    <apr:AprButton ID="btn_PublishToClassroom" runat="server" cssClass="btn" OnClick="btn_PublishToClassroom_Click" Text="Publicar en l'aula" />

                    <apr:AprButton ID="btn_PublishToClassroom_Cancel" runat="server" Text="Cancelar" OnClick="btn_PublishToClassroom_Cancel_Click" />
                </p>
            </asp:Panel>
        </apr:AprMenuItem>
    </apr:AprMenu>
</asp:Content>
