﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;
using AutoProofreader.UI.WebControls;
using AutoProofreader.Utils;

namespace Web.Teacher
{
    public partial class PreviewQuestion : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Teacher); }
        }

        AprQuestion aprQuestion = null;


        protected override void OnInit(EventArgs e)
        {
            Question question = new Question();
            question.QuestionId = TypeUtils.ToLong(Request.QueryString["QuestionId"]);

            if (question.Load())
            {
                aprQuestion = new AprQuestion(1, question);
                this.pnl_Question.Controls.Add(aprQuestion);
            }            

            base.OnInit(e);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void btn_Correct_Click(object sender, EventArgs e)
        {
            if (aprQuestion != null)
            {
                aprQuestion.Correct();

                btn_Correct.Visible = false;
            }
        }        
    }
}
