﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="QuestionList.aspx.cs" Inherits="Web.Teacher.QuestionList" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>
<%@ Import Namespace="AutoProofreader.BusinessObjects" %>
<%@ Import Namespace="AutoProofreader.Utils" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

    <% if (test.Exists()) { %>
        <a href="<%=GetTestUrl()%>">Tornar a la prova <%= test.TestName %></a>
    <% } %>
                
    <h1>
        <i class="fa fa-question seafoam_green"></i>
        Biblioteca de preguntes

        <apr:AprButton CssClass="float_right" ID="btn_Add" runat="server" Text="Afegir pregunte(s) a prova"  OnClick="btn_Add_Click" />
    </h1>

    <asp:UpdatePanel ID="up_QuestionList" runat="server" UpdateMode="Conditional">

        <ContentTemplate>
            <asp:Panel ID="pnl_Filter" runat="server">
                <fieldset>
                    <legend></legend>
                    <apr:AprLabel CssClass="noblock" ID="lb_Category" runat="server" AssociatedControlID="ddl_Category">Filtrar per categoria</apr:AprLabel>
                    <apr:AprDropDownList ID="ddl_Category" runat="server" SelectMethod="ddl_Category_GetData" DataTextField="CategoryName" CssClass="large" DataValueField="CategoryId" EmptyListItem="-- Sel.leccionar --"  AutoPostBack="true" OnSelectedIndexChanged="ddl_Category_SelectedIndexChanged" />
                </fieldset>
            </asp:Panel>

            <apr:AprGridView ID="gv_QuestionList"
                runat="server"
                SelectMethod="gv_QuestionList_GetData"
                DataKeyNames="QuestionId"
                EmptyDataText="No s'ha trovat cap pregunta"
                OnRowDataBound="gv_QuestionList_RowDataBound">
                <Columns>
                    <asp:TemplateField HeaderText="Pregunta">
                        <ItemTemplate>
                            <asp:HyperLink runat="server"
                                NavigateUrl='<%# Eval( "QuestionId", "EditQuestion.aspx?QuestionId={0}&TestID=" + Request.QueryString["TestId"])%>'
                                Text="<%# ((Question)Container.DataItem).ShortQuestionDescription %>" />
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Pregunta" Visible="false">
                        <ItemTemplate>
                            <apr:AprCheckBox runat="server" ID="chkQuestion"
                                Text="<%# ((Question)Container.DataItem).ShortQuestionDescription %>" />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </apr:AprGridView>
        </ContentTemplate>
    </asp:UpdatePanel>


</asp:Content>
