﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;
using AutoProofreader.UI.WebControls;
using AutoProofreader.Utils;

namespace Web.Teacher
{
    public partial class QuestionList : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Teacher); }
        }

        protected Test test;
        private long? SelectedTestId
        {
            get
            {
                long? selectedTestId = TypeUtils.ToLong(Request.QueryString["TestId"]);
                return selectedTestId;
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            this.test = new Test();
            this.test.TestId = SelectedTestId;
            this.test.Load();

            if (Request["mode"] == "add" && test.Exists())
            {
                this.btn_Add.Visible = true;
                this.gv_QuestionList.Columns[0].Visible = false;
                this.gv_QuestionList.Columns[1].Visible = true;
            }
            else
            {
                this.btn_Add.Visible = false;
                this.gv_QuestionList.Columns[0].Visible = true;
                this.gv_QuestionList.Columns[1].Visible = false;
            }
        }

        protected void gv_QuestionList_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                AprCheckBox checkbox = (AprCheckBox)e.Row.Cells[1].Controls[1];
                Question question = (Question)e.Row.DataItem;
            }
        }

        public IQueryable<Question> gv_QuestionList_GetData()
        {
            Category category = new Category();
            category.CategoryId = TypeUtils.ToLong(ddl_Category.SelectedValue);

            if (Request["mode"] == "add" && test.Exists())
            {
                return QuestionManager.ListFromLibrary(category, test).AsQueryable<Question>();
            }
            else
            {
                return QuestionManager.ListFromLibrary(category).AsQueryable<Question>();
            }
        }

        public IQueryable<Category> ddl_Category_GetData()
        {
            return CategoryManager.List().AsQueryable();
        }


        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
        }

        protected void ddl_Category_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.gv_QuestionList.DataBind();
        }

        protected string GetTestUrl()
        {
            return string.Format("EditTest.aspx?TestId={0}&i=1", test.TestId);
        }

        protected void btn_Add_Click(object sender, EventArgs e)
        {

            List<Question> selectedQuestions = new List<Question>();            
            foreach (GridViewRow row in this.gv_QuestionList.Rows)
            {
                if (row.RowType == DataControlRowType.DataRow)
                {
                    AprCheckBox checkbox = (AprCheckBox)row.FindControl("chkQuestion");
                    if (checkbox.Checked)
                    {
                        Question question = new Question();
                        question.QuestionId = TypeUtils.ToLong(this.gv_QuestionList.DataKeys[row.RowIndex].Value);

                        selectedQuestions.Add(question);
                    }
                }
            }
            test.AssignQuestion(selectedQuestions);
            RedirectTo(GetTestUrl());
        }
    }
}
